network-manager (1.44.2-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2038439)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Oct 2023 09:40:22 -0400

network-manager (1.44.2-1) unstable; urgency=medium

  * New upstream version 1.44.2
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Oct 2023 12:09:39 +0200

network-manager (1.44.0-1ubuntu2) mantic; urgency=medium

  * d/t/{nm.py,nm_netplan.py,network_test_base.py} (LP: #2033391):
    - Wait until NM is ready before starting tests
    - Add a delay loop checking if NM is already on-line before running each
      test.
  * d/t/nm.py: remove expectedFailure from both tests in Hotplug.
    - It's not clear why they were expected to fail. With NM 1.44.0 they are passing.
    - As this class states that the APs are set up with NM already running, in
      test_auto_detect_ap() self.start_nm() was moved to run before
      self.setup_ap() and the assert was fixed to get the actual gobject data.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Wed, 30 Aug 2023 10:09:50 +0100

network-manager (1.44.0-1ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian to the current stable version
    - Patches refreshed
  * Remove erroneous symbol added in 1.42.8-1

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 10 Aug 2023 15:40:38 +0200

network-manager (1.44.0-1) unstable; urgency=medium

  * New upstream version 1.44.0
  * Explicitly set the modprobe path during configure
  * Update symbols file for libnm0
  * Rebase patches
  * Remove obsolete maintscript code

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Aug 2023 22:22:22 +0200

network-manager (1.42.8-1ubuntu1) UNRELEASED; urgency=medium

  * Resynchronize on Debian to the current stable version
  * debian/libnm0.symbols:
    - updated symbols for the new version

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 09 Aug 2023 16:08:26 +0200

network-manager (1.42.8-1) unstable; urgency=medium

  * New upstream version 1.42.8

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Jun 2023 15:22:30 +0200

network-manager (1.42.6-2ubuntu2) mantic; urgency=medium

  * Remove isc-dhcp-client from Depends
    Unless explicitly configured otherwise the internal DHCP client is used.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 18 Jul 2023 10:51:11 +0200

network-manager (1.42.6-2ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 22 Jun 2023 12:26:23 +0200

network-manager (1.42.6-2) unstable; urgency=medium

  * Stop installing deprecated polkit pkla file.
    The pkla backend has been superseded by the JS based backend.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Jun 2023 23:08:24 +0200

network-manager (1.42.6-1) unstable; urgency=medium

  * New upstream version 1.42.6
  * Rebase patches
  * Use Build-Depends on polkitd and libpolkit-gobject-1-dev for polkit.its.
    The obsolete policykit-1 package is going away. (Closes: #1025606)

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Jun 2023 14:48:14 +0200

network-manager (1.42.4-1ubuntu7) mantic; urgency=medium

  [ Michael Biebl ]
  * Use Build-Depends on polkitd and libpolkit-gobject-1-dev for polkit.its
    (Closes: #1025606)

  [ Danilo Egea Gondolfo ]
  * d/t/control: Add easy-rsa as a test dependency
  * d/t/nm.py: generalize Wifi auth configuration.
    The idea is to make is easier to implement tests using different
    authentication methods.
  * d/t/nm.py: implement WPA-EAP 802.1x tests.
    These tests are related to an issue in Netplan but they are also useful
    for network-manager itself. See LP#2016625
  * d/t/nm_netplan.py: add new test cases for ip-tunnel and wireguard
    connections, using Netplan integration. See LP#2016473

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 20 Jun 2023 12:07:12 +0200

network-manager (1.42.4-1ubuntu5) mantic; urgency=medium

  * d/network-manager.postinst: fix netplan migration logic.
    The "continue" is being executed in a subshell so it's not skipping the
    next commands. It will fail if Network Manager is not running. See LP: #2022023
  * d/network-manager.preinst: use /var/lib/NetworkManager for backups
    /root is not a system directory so we shouldn't use it. It might not
    even exist or the package manager might run in a sandbox and not have
    access to it. See LP: #2021937

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 01 Jun 2023 15:17:57 +0100

network-manager (1.42.4-1ubuntu4) mantic; urgency=medium

  * d/t/nm_netplan.py:openvpn: set a metric for the extra default route.
    With a higher metric the route shouldn't be selected over the main one.
    Also, use the same subnet already used by the nm.py tests.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 25 May 2023 11:00:31 +0100

network-manager (1.42.4-1ubuntu3) mantic; urgency=medium

  * Upload netplan integration to the Ubuntu archive, details available on
    https://discourse.ubuntu.com/t/call-for-testing-networkmanager-yaml-settings

  [ Lukas Märdian ]
  * d/{control,rules,patches}: Prepare libnetplan build (non i386)
  * debian/patches/netplan: Add libnetplan backend integration patch
  * d/network-manager.preinst: backup previous configuration automatically
  * d/network-manager.postinst: Trigger Netplan migration on install/upgrade

  [ Danilo Egea Gondolfo ]
  * d/t/nm.py: Fix autopkgtests when Netplan is in use
  * d/t/nm_netplan.py: Add autopkgtests for the netplan integration

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 May 2023 13:30:31 +0200

network-manager (1.42.4-1ubuntu2) lunar; urgency=medium

  * d/t/nm.py: Fix autopkgtests with NM-1.42's 'lo' connection (LP: #2009543)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 28 Mar 2023 15:13:56 +0200

network-manager (1.42.4-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Mar 2023 21:31:09 +0100

network-manager (1.42.4-1) unstable; urgency=medium

  * New upstream version 1.42.4
  * Rebase patches
  * Use execute_before instead of override for dh_install

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Mar 2023 19:42:33 +0100

network-manager (1.42.2-2) unstable; urgency=medium

  * dnsmasq: process both global and per-device configuration.
    Cherry-pick upstream patch to fix a regression introduced in 1.42 when
    using the dnsmasq DNS backend and a global DNS configuration.
    (Closes: #1031891)

 -- Michael Biebl <biebl@debian.org>  Fri, 03 Mar 2023 17:57:30 +0100

network-manager (1.42.2-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 18:14:55 -0500

network-manager (1.42.2-1) unstable; urgency=medium

  * New upstream version 1.42.2
  * Drop patches merged upstream
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Feb 2023 17:53:42 +0100

network-manager (1.42.0-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 10:06:44 -0500

network-manager (1.42.0-1) unstable; urgency=medium

  * New upstream version 1.42.0
  * Rebase patches
  * Update symbols file for libnm0
  * Cherry-pick upstream patch to fix regression in gtk-doc generation

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Feb 2023 17:38:16 +0100

network-manager (1.40.12-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 26 Jan 2023 16:57:14 -0500

network-manager (1.40.12-1) unstable; urgency=medium

  * New upstream version 1.40.12

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Jan 2023 21:54:37 +0100

network-manager (1.40.10-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Jan 2023 15:22:40 -0500

network-manager (1.40.10-1) unstable; urgency=medium

  * New upstream version 1.40.10

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Jan 2023 16:24:40 +0100

network-manager (1.40.8-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 04 Jan 2023 18:29:41 -0500

network-manager (1.40.8-1) unstable; urgency=medium

  * Add lintian override for source-is-missing false positive
  * New upstream version 1.40.8
  * Bump Standards-Version to 4.6.2
  * Update list of Uploaders.
    Remove Uploaders that haven't been active for a long time.
    Thanks Sjoerd and Aron for their past work on the package.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Dec 2022 11:30:35 +0100

network-manager (1.40.6-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Dec 2022 16:31:46 -0500

network-manager (1.40.6-1) unstable; urgency=medium

  * New upstream version 1.40.6
  * Depend on polkitd in preference to policykit-1.
    The latter is a deprecated, transitional package, that also pulls in
    pkexec, which network-manager doesn't need. Keep policykit-1 as an
    alternative dependency to make backports easier.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 Nov 2022 22:59:25 +0100

network-manager (1.40.4-1ubuntu2) lunar; urgency=medium

  * Fix network-manager-config-connectivity-ubuntu.postinst

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Nov 2022 14:25:45 -0500

network-manager (1.40.4-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
  * Drop patch that doesn't appear to be needed any more:
    - ubuntu_revert_systemd.patch (LP: #1914062)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 13:39:43 -0400

network-manager (1.40.4-1) unstable; urgency=medium

  * New upstream version 1.40.4
  * Update symbols file for libnm0
  * Replace dependency on dbus with default-dbus-system-bus | dbus-system-bus.
    This makes it easier to swap in alternative implementations like
    dbus-broker.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Nov 2022 18:41:10 +0100

network-manager (1.40.2-1) unstable; urgency=medium

  * New upstream version 1.40.2

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Oct 2022 12:29:15 +0200

network-manager (1.40.0-1ubuntu2) kinetic; urgency=medium

  * Don't recommend iwd. It's less risky to keep using wpasupplicant
    for Ubuntu 22.10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Sep 2022 10:31:16 -0400

network-manager (1.40.0-1ubuntu1) kinetic; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend iwd as preferred alternative to wpasupplicant
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 13:39:43 -0400

network-manager (1.40.0-1) unstable; urgency=medium

  * New upstream version 1.40.0
  * Rebase patches
  * Bump pre-release symbols from 1.39.x to version 1.40.0

 -- Michael Biebl <biebl@debian.org>  Fri, 26 Aug 2022 21:08:04 +0200

network-manager (1.39.90-2) experimental; urgency=medium

  * Release version 1.39.90-1 to experimental
  * Explicitly disable LTO via dpkg-buildflags.
    NetworkManager requires additional build flags like -flto-partition=none
    to build properly with LTO enabled. (Closes: #1015556)

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Aug 2022 12:48:00 +0200

network-manager (1.39.90-1ubuntu3) kinetic; urgency=medium

  * Cherry-pick 2 patches to fix bonding regressions discovered
    with failing netplan autopkgtests. Thanks Lukas Märdian.
    (LP: #1987001)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 13:26:02 -0400

network-manager (1.39.90-1ubuntu2) kinetic; urgency=medium

  * debian/control:
    - recommends iwd as a preferred alternative to wpasupplicant since
      the MIR has been reviewed now

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Aug 2022 17:09:30 +0200

network-manager (1.39.90-1ubuntu1) kinetic; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 18 Aug 2022 08:59:25 -0400

network-manager (1.39.90-1) experimental; urgency=medium

  * New upstream version 1.39.90 (1.40 rc1)
  * Rebase patches
  * Drop obsolete --with-dnssec-trigger configure option.
    The unbound DNS plugin was marked deprecated for a while and has been
    removed now in this release.
  * Simplify dh_autoreconf override by calling upstream provided autogen.sh.
    This ensures the correct sequence of commands is run. In this specific
    case we were still using intltoolize when upstream dropped its usage in
    favour of gettext a while ago.
  * Replace intltool Build-Depends with gettext
  * Add Build-Depends on policykit-1.
    The file /usr/share/gettext/its/polkit.its is required when generating
    the translations.
  * Add Build-Depends on python3-pexpect.
    Required by the test suite.
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Aug 2022 11:35:39 +0200

network-manager (1.38.4-1) unstable; urgency=medium

  * New upstream version 1.38.4
    - core: avoid stale entries in the DNS manager for non-virtual devices
      (Closes: #1006724)
  * Clean up build dependencies

 -- Michael Biebl <biebl@debian.org>  Sat, 13 Aug 2022 15:51:32 +0200

network-manager (1.38.2-1ubuntu1) kinetic; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Jun 2022 13:35:27 +0200

network-manager (1.38.2-1) unstable; urgency=medium

  * New upstream version 1.38.2
  * Rebase patches
  * Bump Standards-Version to 4.6.1
  * Use dh-sequence-gir instead of gir addon

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Jun 2022 22:26:35 +0200

network-manager (1.38.0-2) unstable; urgency=medium

  * Cherry-pick a couple of fixes from upstream nm-1-38 branch
  * Install additional config examples found in examples/nm-conf.d/
    (Closes: #1010889)

 -- Michael Biebl <biebl@debian.org>  Wed, 18 May 2022 23:05:00 +0200

network-manager (1.38.0-1) unstable; urgency=medium

  * New upstream version 1.38.0
  * Bump symbol versions to final 1.38.0 release

 -- Michael Biebl <biebl@debian.org>  Fri, 13 May 2022 15:42:33 +0200

network-manager (1.37.92-1) unstable; urgency=medium

  * New upstream version 1.37.92 (1.38 rc3)
  * Rebase patches
  * Update network-manager.docs
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 04 May 2022 16:45:54 +0200

network-manager (1.36.4-2) unstable; urgency=medium

  * supplicant: enable WPA3 transition mode only when interface supports PMF.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1003907

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Apr 2022 11:39:20 +0200

network-manager (1.36.4-1) unstable; urgency=medium

  * New upstream version 1.36.4

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Mar 2022 20:39:16 +0100

network-manager (1.36.2-1ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 14:37:15 -0500

network-manager (1.36.2-1) unstable; urgency=medium

  * New upstream version 1.36.2
  * Rebase patches
  * Downgrade log message to info if we fail to open /run/network/ifstate

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Mar 2022 09:50:49 +0100

network-manager (1.36.0-2) unstable; urgency=medium

  * core: initialize l3cd dns-priority for ppp and wwan (Closes: #1006396)

 -- Michael Biebl <biebl@debian.org>  Sat, 26 Feb 2022 10:57:32 +0100

network-manager (1.36.0-1ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 24 Feb 2022 15:06:34 -0500

network-manager (1.36.0-1) unstable; urgency=medium

  * New upstream version 1.36.0
  * Bump symbol versions for pre-release versions
  * Drop old network-manager.NEWS file

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Feb 2022 19:59:26 +0100

network-manager (1.35.92-1ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 17:06:55 -0500

network-manager (1.35.92-1) unstable; urgency=medium

  * New upstream version 1.35.92 (1.36 rc3)
  * Rename polkit rules file to org.freedesktop.NetworkManager.rules
  * Set path to nft binary
  * Demote iptables to Suggests

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Feb 2022 21:50:39 +0100

network-manager (1.35.91-1) unstable; urgency=medium

  * New upstream version 1.35.91 (1.36 rc2)
  * Rebase patches
  * Update debian/watch to version 4
  * Update symbols file for libnm0
  * Add lintian override for custom-library-search-path
  * Enable all hardening build flags
  * Clean up nm-priv-helper.service enablement state on upgrades

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Feb 2022 22:24:06 +0100

network-manager (1.35.91-0ubuntu1) jammy; urgency=medium

  * New upstream release
  * debian/libnm0.symbols: Add new symbols

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 10 Feb 2022 14:49:11 -0500

network-manager (1.35.90-0ubuntu1) jammy; urgency=medium

  * New upstream release
  * Refresh patches

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Feb 2022 14:12:25 -0500

network-manager (1.34.0-2ubuntu3) jammy; urgency=medium

  * d/tests/control: Have nm.py autopkgtest Depend on wpasupplicant

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 07 Feb 2022 16:40:52 -0500

network-manager (1.34.0-2ubuntu2) jammy; urgency=medium

  * Revert "Try removing ubuntu_revert_systemd.patch" and refresh the patch

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 03 Feb 2022 16:11:38 -0500

network-manager (1.34.0-2ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian (LP: #1958710), remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto.
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
  * Try removing ubuntu_revert_systemd.patch again

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 03 Feb 2022 12:18:58 -0500

network-manager (1.34.0-2) unstable; urgency=medium

  * Demote wpasupplicant to Recommends.
    There are enough use cases for network-manager not involving Wi-Fi which
    justifies to make this dependency optional. (Closes: #919619, #980218)

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Jan 2022 20:59:36 +0100

network-manager (1.34.0-1) unstable; urgency=medium

  * New upstream version 1.34.0
  * Rebase patches
  * Install nm-priv-helper service
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Jan 2022 00:18:58 +0100

network-manager (1.32.12-1) unstable; urgency=medium

  * New upstream version 1.32.12
  * Rebase patches
  * Update symbols file for libnm0
  * Bump Standards-Version to 4.6.0
  * Drop dh_missing override.
    As --fail-missing is the default in compat 13, the override is no longer
    necessary.
  * Remove obsolete upgrade code
  * Drop obsolete Breaks/Replaces
  * Update debian/copyright
  * Remove isc-dhcp-client from Suggests.
    Unless explicitly configured otherwise the internal DHCP client is used.

 -- Michael Biebl <biebl@debian.org>  Sat, 02 Oct 2021 09:42:17 +0200

network-manager (1.30.6-1) unstable; urgency=medium

  * New upstream version 1.30.6
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Aug 2021 09:56:57 +0200

network-manager (1.30.0-2) unstable; urgency=medium

  * core: fix crash in nm_wildcard_match_check()
    (CVE-2021-20297, Closes: #986809)

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Apr 2021 21:15:36 +0200

network-manager (1.32.12-0ubuntu2) jammy; urgency=medium

  * debian/tests: drop which usage to fix adt failure in jammy

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 11 Nov 2021 12:07:34 +0000

network-manager (1.32.12-0ubuntu1) impish; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Sep 2021 17:07:29 +0200

network-manager (1.32.10-0ubuntu1) impish; urgency=medium

  * New upstream version
  * debian/libnm0.symbols:
    - updated symbols for the new version

 -- Sebastien Bacher <seb128@debian.org>  Wed, 25 Aug 2021 16:10:58 +0200

network-manager (1.32.2-0ubuntu2) impish; urgency=medium

  * debian/patches/ubuntu_revert_systemd.patch:
    - restore the workaround for the systemd and lxd issue, it's still
      needed (lp: #1936312)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 15 Jul 2021 16:45:08 +0200

network-manager (1.32.2-0ubuntu1) impish; urgency=medium

  * New upstream version
  * debian/*.py:
    - update python formatting to be compatible with the checks
  * debian/patches/ubuntu_revert_systemd.patch:
    - remove, the issue was fixed in systemd
  * debian/patches/CVE-2021-20297.patch:
    - remove, the fix is in the new version
  * debian/libnm0.symbols
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Jul 2021 20:36:31 +0200

network-manager (1.30.0-1ubuntu4) impish; urgency=medium

  * d/t/nm.py: adapt to changes dnsmasq behavior (LP: #1894619)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 02 Jul 2021 11:13:46 +0200

network-manager (1.30.0-1ubuntu3) hirsute; urgency=medium

  * SECURITY UPDATE: crash via setting match.path
    - debian/patches/CVE-2021-20297.patch: fix match in
      src/core/nm-core-utils.c.
    - CVE-2021-20297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Apr 2021 06:56:47 -0400

network-manager (1.30.0-1ubuntu2) hirsute; urgency=medium

  * Configure with --enable-lto.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Mar 2021 11:48:39 +0200

network-manager (1.30.0-1ubuntu1) hirsute; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager
    - debian/patches/ubuntu_revert_systemd.patch:
      + temporarly revert an upstream commit that made udev enabled under lxc,
        the new systemd doesn't work there (lp: #1914062)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 15:30:59 +0100

network-manager (1.30.0-1) unstable; urgency=medium

  * New upstream version 1.30.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Feb 2021 19:25:36 +0100

network-manager (1.29.90-2) unstable; urgency=medium

  * Add iproute2 to Build-Depends.
    Required by the test suite. Mark as <!nocheck> accordingly.
  * Cherry-pick fixes from upstream nm-1-30 branch
    - Fixes assertion when running the python-dbusmock test suite
      (Closes: #982613)
    - Replaces our custom polkit-agent-helper-1 patch

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Feb 2021 22:54:54 +0100

network-manager (1.29.90-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 1.29.90 (1.30 rc1)
  * Rebase patches
  * Update symbols file for libnm0
  * Fix polkit-agent-helper-1 path

  [ Helmut Grohne ]
  * Drop unused Build-Depends (Closes: #979378)

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Feb 2021 20:09:16 +0100

network-manager (1.28.0-2ubuntu2) hirsute; urgency=medium

  * debian/patches/ubuntu_revert_systemd.patch:
    - temporarly revert an upstream commit that made udev enabled under lxc,
      the new systemd doesn't work there (lp: #1914062)

  [ Lukas Märdian ]
  * debian/tests/network_test_base.py:
    Fix race when reading the MAC address of veth interfaces with new systemd

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Feb 2021 10:23:07 +0100

network-manager (1.28.0-2ubuntu1) hirsute; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Jan 2021 18:10:30 +0100

network-manager (1.28.0-2) unstable; urgency=medium

  * Demote libpam-systemd to Recommends.
    This allows users to use and experiment with other init systems. Such a
    setup is neither tested nor fully supported and users need to be aware
    that some functionality might be broken. (Closes: #921012)
  * Recommend wireless-regdb instead of crda.
    CRDA is no longer needed as of Linux kernel v4.15. (Closes: #973241)
  * Bump Standards-Version to 4.5.1

 -- Michael Biebl <biebl@debian.org>  Thu, 31 Dec 2020 21:38:43 +0100

network-manager (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Dec 2020 22:48:28 +0100

network-manager (1.27.91-2) unstable; urgency=medium

  * Revert "dns: change default DNS priority of VPNs to -50" (Closes: #972688)

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Nov 2020 14:59:00 +0100

network-manager (1.27.91-1) unstable; urgency=medium

  * New upstream version 1.27.91 (1.28 rc2)
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Oct 2020 22:36:31 +0200

network-manager (1.27.90-3) unstable; urgency=medium

  [ Thorsten Glaser ]
  * Adjust syscall numbers for x32 vs. amd64, fixes FTBFS on x32

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Oct 2020 16:03:16 +0200

network-manager (1.27.90-2) unstable; urgency=medium

  * Cherry-pick a couple of upstream patches.
    Hopefully fixes the build and test-suite failures on some of the more
    exotic architectures.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2020 11:34:31 +0200

network-manager (1.27.90-1) unstable; urgency=medium

  * New upstream version 1.27.90 (1.28 rc1)
    - Fix generated XML syntax in tools/generate-docs-nm-settings-docs-gir.py
      (Closes: #971144)
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Mon, 05 Oct 2020 23:34:33 +0200

network-manager (1.26.2-1ubuntu1) groovy; urgency=medium

  * Update to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 31 Aug 2020 11:09:40 +0200

network-manager (1.26.2-1) unstable; urgency=medium

  * New upstream version 1.26.2
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Aug 2020 10:30:53 +0200

network-manager (1.26.0-1ubuntu1) groovy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Jul 2020 17:09:03 +0200

network-manager (1.26.0-1) unstable; urgency=medium

  * New upstream version 1.26.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Mon, 13 Jul 2020 22:34:27 +0200

network-manager (1.25.91-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Use the correct service name in README.Debian, the compat one has been
    removed

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Jul 2020 21:28:37 +0200

network-manager (1.25.91-1) unstable; urgency=medium

  * New upstream version 1.25.91 (1.26 rc2)
  * Remove SysV init script

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Jul 2020 01:17:08 +0200

network-manager (1.25.90-1) unstable; urgency=medium

  * New upstream version 1.25.90 (1.26 rc1)
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Sun, 28 Jun 2020 19:29:43 +0200

network-manager (1.24.2-1ubuntu2) groovy; urgency=medium

  * debian/20-connectivity-ubuntu.conf: Add trailing dot to make
    connectivity-check.ubuntu.com. absolute and reduce NXDOMAIN
    warning noise, thanks MarchH (lp: #1880258)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 29 Jun 2020 16:20:07 +0200

network-manager (1.24.2-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 1.24.2
  * Install firewalld zone for connection sharing

  [ Sebastien Bacher ]
  * The iptables binary is now installed in /usr/sbin/

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Jun 2020 13:44:56 +0200

network-manager (1.24.0-1ubuntu2) groovy; urgency=medium

  * debian/rules:
    - the iptables binary is in /usr/sbin now, use the correct location in
      the configure. Should fix the hotspot feature not working in GNOME
      on upgraded systems which haven't been usrmerged.
      (lp: #1870359)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 May 2020 12:03:07 +0200

network-manager (1.24.0-1ubuntu1) groovy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/network-manager.maintscript
      + Remove /etc/dbus-1/system.d/nm-ofono.conf
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 May 2020 17:07:30 +0200

network-manager (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0
  * Rebase patches
  * Drop Don-t-setup-Sleep-Monitor-if-not-booted-with-systemd.patch
  * Bump debhelper-compat to 13

 -- Michael Biebl <biebl@debian.org>  Sat, 09 May 2020 21:12:22 +0200

network-manager (1.23.90-1) unstable; urgency=medium

  * New upstream version 1.23.90 (1.24 rc1)
  * Rebase patches
  * Update symbols file for libnm0
  * Add Build-Depends-Package field to libnm0.symbols

 -- Michael Biebl <biebl@debian.org>  Sun, 12 Apr 2020 00:46:53 +0200

network-manager (1.22.10-1ubuntu3) groovy; urgency=medium

  * No-change rebuild to bump Groovy version number.

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 30 Apr 2020 07:47:49 -0400

network-manager (1.22.10-1ubuntu2) focal; urgency=medium

  * d/t/killswitches-no-urfkill
    - Call udevadm settle before nmcli radio wifi
      To make sure that change is updated. (LP: #1733321)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Mon, 20 Apr 2020 22:40:44 -0700

network-manager (1.22.10-1ubuntu1) focal; urgency=medium

  * Update to the current stable version, merging from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Mar 2020 16:27:29 +0100

network-manager (1.22.10-1) unstable; urgency=medium

  * New upstream version 1.22.10
  * Mark network-manager-dev as Architecture: all and Multi-Arch: foreign
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Mar 2020 00:58:03 +0100

network-manager (1.22.8-1) unstable; urgency=medium

  * New upstream version 1.22.8
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Feb 2020 00:27:58 +0100

network-manager (1.22.6-1) unstable; urgency=medium

  * New upstream version 1.22.6
  * Bump Standards-Version to 4.5.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 31 Jan 2020 18:14:59 +0100

network-manager (1.22.4-1) unstable; urgency=medium

  * New upstream version 1.22.4
  * Rebase patches
  * n-dhcp4: fix integer context in n_dhcp4_client_probe_transition_nak() on
    32 bit

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Jan 2020 03:00:29 +0100

network-manager (1.22.2-2) unstable; urgency=medium

  * More nettools DHCP fixes (Closes: #947613)

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Jan 2020 22:26:29 +0100

network-manager (1.22.2-1) unstable; urgency=medium

  * New upstream version 1.22.2
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Dec 2019 07:17:58 +0100

network-manager (1.22.0-2) unstable; urgency=medium

  * dhcp: nettools: fix parsing of search domains option (Closes: #947003)

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Dec 2019 18:04:05 +0100

network-manager (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0
  * Rebase patches
  * Explicitly disable (experimental) nm-cloud-setup tool
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Dec 2019 19:05:33 +0100

network-manager (1.20.8-1ubuntu2) focal; urgency=medium

  * debian/rules:
    - Omit building the uninstallable network-manager binary (depends on
      wpasupplicant) on i386

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Jan 2020 18:26:29 +0100

network-manager (1.20.8-1ubuntu1) focal; urgency=medium

  * New upstream version, merged from Debian
  * debian/patches/git_wpa_sae.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Jan 2020 17:00:01 +0100

network-manager (1.20.8-1) unstable; urgency=medium

  * New upstream version 1.20.8
  * Rebase patches
  * Bump Standards Version to 4.4.1

 -- Michael Biebl <biebl@debian.org>  Mon, 25 Nov 2019 19:23:25 +0100

network-manager (1.20.6-1) unstable; urgency=medium

  * New upstream version 1.20.6
    - Add support for iwd 1.0. (Closes: #944259)
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Nov 2019 22:32:54 +0100

network-manager (1.20.4-2) unstable; urgency=medium

  * Install directories as created by upstream build system.
    Drop network-manager.dirs and instead use the directories created by the
    upstream build system. Fix permissions of /var/lib/NetworkManager to be
    0700 as it contains possibly sensitive data and should not be
    world-readable.
  * Fix permissions of /var/lib/NetworkManager/secret_key on upgrades.
    The file mode is supposed to be 0600. (Closes: #941609)

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Oct 2019 00:30:01 +0200

network-manager (1.20.4-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 1.20.4

  [ Andreas Henriksson ]
  * Switch build-dependencies to python3.
    The tests are designed to work with either python2 or python3.
    We should be able to simply switch build-dependencies to python3
    equivalents. However if something transitively pulls in python2 the
    AM_PATH_PYTHON autoconf macro will find python(2) binary, so we
    explicitly set PYTHON=/usr/bin/python3. (Closes: #938944)

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Sep 2019 16:01:19 +0200

network-manager (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2
  * Track stable releases in watch file
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 06 Sep 2019 10:43:28 +0200

network-manager (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Aug 2019 22:55:57 +0200

network-manager (1.19.90-2) unstable; urgency=medium

  * Demote isc-dhcp-client to Suggests.
    The DHCP client now defaults to "internal". This default can be
    overridden at run time by setting the main.dhcp option in the
    configuration file. The old default was "dhclient" and required
    isc-dhcp-client. (Closes: #933545)

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Aug 2019 10:42:16 +0200

network-manager (1.19.90-1) unstable; urgency=medium

  * New upstream version 1.19.90 (1.20 rc1)
  * Drop obsolete configure flags
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jul 2019 13:35:47 +0200

network-manager (1.18.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Jul 2019 00:36:17 +0200

network-manager (1.18.0-2) experimental; urgency=medium

  * Fix package description after avahi-autoipd removal
  * Drop obsolete lintian overrides

 -- Michael Biebl <biebl@debian.org>  Tue, 28 May 2019 22:27:17 +0200

network-manager (1.18.0-1ubuntu6) eoan; urgency=medium

  [ Till Kamppeter ]
  * debian/tests/nm.py:
    + Make activating an AP time out earlier than it otherwise would.
    + Skip a call that is failing for IPv6 connections.

  [ Iain Lane ]
  * debian/tests/nm.py: Delete code skipped by the previous change, rather
    than commenting it out and leaving it inactive in the source.

  [ Sebastien Bacher ]
  * Updated debian branch from eoan to master

 -- Iain Lane <iain.lane@canonical.com>  Thu, 01 Aug 2019 13:17:35 +0100

network-manager (1.18.0-1ubuntu5) eoan; urgency=medium

  * Updated autopkg test nm.py for API changes in network-manager.

  [ Mathieu Trudel-Lapierre ]
  * debian/tests/control: fix test dependency to list gir1.2-nm-1.0 instead
    of its old name gir1.2-networkmanager-1.0.

 -- Till Kamppeter <till.kamppeter@canonical.com>  Tue, 25 Jun 2019 13:31:42 +0200

network-manager (1.18.0-1ubuntu4) eoan; urgency=medium

  * debian/tests/nm.py: give test_no_ap more time for wifi devices to start
    as it may be necessary on ppc64el.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 29 May 2019 09:31:18 -0400

network-manager (1.18.0-1ubuntu3) eoan; urgency=medium

  * d/p/Read-system-connections-from-run.patch:
    - remove, upstream addressed it in a different way/for different 
      reasons in commit ce4dbd7daf.
  * debian/network-manager-dev.install:
    - update following the the recent binary changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 May 2019 11:26:30 +0200

network-manager (1.18.0-1ubuntu2) eoan; urgency=medium

  * debian/control, debian/lib*.install, debian/rules:
    - remove the deprecated libnm-glib/vpn/util libraries
  * debian/patches/series:
    - restore Read-system-connections-from-run.patch which had been
      dropped by error.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 May 2019 00:07:31 +0200

network-manager (1.18.0-1ubuntu1) eoan; urgency=medium

  * Update to 1.18, merge on Debian, new version includes nwe support for 
    policy routing rules and for VLAN filtering for Linux bridge.
  * Remaining Ubuntu changes
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager
    - Revert "Add Conflicts to network-manager-dev against deprecated libraries"
      This reverts commit b4acc5e03e2b821e1cccc69529bb70826c741942.  We're still
      building libnm-glib for now, so these packages have a use in Ubuntu.
  * Removed delta, not needed anymore
    - debian/network-manager.maintscript
      + Remove /etc/dbus-1/system.d/nm-ofono.conf

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 May 2019 15:07:08 +0200

network-manager (1.18.0-1) experimental; urgency=medium

  * New upstream version 1.18.0
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Apr 2019 22:28:56 +0200

network-manager (1.16.0-2) experimental; urgency=medium

  * Drop dependency on lsb-base.
    It is only needed when booting with sysvinit and initscripts, but
    initscripts already Depends on lsb-base (see #864999).
  * Drop dpkg-dev (>= 1.17.14) Build-Depends.
    No longer needed as even the version in oldstable is new enough.

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Apr 2019 11:07:57 +0200

network-manager (1.16.0-1) experimental; urgency=medium

  * New upstream version 1.16.0
  * Rebase patches
  * Update symbols file for linm0
  * Drop migration code from pre-stretch

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Mar 2019 00:13:49 +0100

network-manager (1.14.6-2) unstable; urgency=medium

  * supplicant: fix setting pmf when the supplicant doesn't advertise support

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Feb 2019 21:23:14 +0100

network-manager (1.14.6-1) unstable; urgency=medium

  * New upstream version 1.14.6
  * Use debhelper-compat (= 12) Build-Depends and drop debian/compat
  * Rebase patches
  * Do not manage Docker bridge interfaces (Closes: #875127)
  * Bump Standards-Version to 4.3.0

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Feb 2019 19:33:53 +0100

network-manager (1.16.0-0ubuntu2) disco; urgency=medium

  * debian/patches/git_ifupdown_iterator.patch:
    - ifupdown: fix connection iterator, should fix a segfault in the
      corresponding plugin (lp: #1815742)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Apr 2019 17:53:26 +0200

network-manager (1.16.0-0ubuntu1) disco; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Mar 2019 16:23:09 +0100

network-manager (1.15.91-0Ubuntu1) disco; urgency=medium

  * New upstream version
  * remove patches included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Mar 2019 15:23:26 +0100

network-manager (1.15.2-0ubuntu2) disco; urgency=medium

  * debian/patches/git_ifupdown_segfault.patch:
    - 'settings/ifupdown: fix ifupdown plugin after merging eni_ifaces and 
       connections hashes' (lp: #1815742)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 18 Feb 2019 17:06:17 +0100

network-manager (1.15.2-0ubuntu1) disco; urgency=medium

  * Update to the current serie, resynchronize with Debian
  * debian/libnm0.symbols:
    - updated for the new version
  * debian/patches
    - removed the changes that are included in the new version
  * debian/patches/git_team_structure.patch:
    - backport upstream change 'fix team link-watcher struct layout',
      the tests/build failed on i386
  * debian/rules:
    - strip '-Wl,-Bsymbolic-functions' from LDFLAGS otherwise the
      tests fails on 'cannot register existing type 'NMAgentManagerError''

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 Jan 2019 11:31:56 +0100

network-manager (1.14.4-4) unstable; urgency=medium

  * Move D-Bus policy files to /usr/share/dbus-1/system.d/
  * Remove obsolete D-Bus policy conffiles on upgrades

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Nov 2018 01:35:50 +0100

network-manager (1.14.4-3) unstable; urgency=medium

  * cli: wait for all wifi scans to finish before displaying the result.
    Otherwise devices are displayed in an inconsistent order.
    Replaces debian/patches/Ignore-client-tests-failures.patch.

 -- Michael Biebl <biebl@debian.org>  Mon, 05 Nov 2018 16:05:51 +0100

network-manager (1.14.4-2) unstable; urgency=high

  * dhcp6: Make sure we have enough space for the DHCP6 option header.
    Fixes out-of-bounds heap write in systemd-networkd dhcpv6 option handling
    which also affects the "internal" DHCP plugin of NetworkManager.
    (CVE-2018-15688, LP: #1795921)

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Oct 2018 09:34:25 +0100

network-manager (1.14.4-1) unstable; urgency=medium

  * New upstream version 1.14.4
    - Fix a crash in ifupdown (Debian) configuration plugin (Closes: #911621)
  * Switch to debhelper compat level 12 and dh_installsystemd
  * Update symbols file for libnm0
  * Ignore client/tests failures.
    check-local-clients-tests-test-client appears to be flaky and prone to
    fail on slower architectures. Ignore failures of this test until this
    has been properly investigated.

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Oct 2018 00:30:39 +0200

network-manager (1.14.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Oct 2018 16:09:49 +0200

network-manager (1.14.2-1) experimental; urgency=medium

  * New upstream version 1.14.2
  * Rebase patches
  * Disable obsolete ibft settings plugin.
    It has been replaced by an iBFT reader which parses /sys/firmware/ibft
    directly instead of iscsiadm output.
  * Drop debian/patches/Fix-iscsiadm-path.patch.
    No longer needed.

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Oct 2018 02:56:25 +0200

network-manager (1.14.0-2) experimental; urgency=medium

  * Tighten inter-package dependencies.
    Make sure network-manager and libnm0 are always upgraded in lockstep.
    (Closes: #818165)

 -- Michael Biebl <biebl@debian.org>  Mon, 08 Oct 2018 16:55:10 +0200

network-manager (1.14.0-1) experimental; urgency=medium

  * New upstream version 1.14.0
  * Rebase patches
  * Update symbols file for libnm0.
    The nm_connection_get_setting_{6lowpan,sriov,wpan} API had been
    introduced during the 1.14 development cycle but as it was duplicating
    existing functionality it was removed again.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Sep 2018 10:57:07 +0200

network-manager (1.13.90-1) experimental; urgency=medium

  * New upstream version 1.13.90 (1.14 rc1)
  * Refresh patches
  * Update symbols file for libnm0
  * Bump Standards-Version to 4.2.1

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Sep 2018 18:23:20 +0200

network-manager (1.12.6-0ubuntu4) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 20:02:35 +0000

network-manager (1.12.6-0ubuntu3) disco; urgency=medium

  * debian/tests/nm.py: Make assert_iface_down() not check the interface's
    state. We call nmclient.deactivate_connection() to terminate connections
    that the testsuite sets up, and according to upstream this is not
    guaranteed to do anything in particular to the link state. It seems that
    dnsmasq 2.80 somehow alters the previous assumption that it would be
    'state DOWN', so the implementation detail we were checking previously no
    longer holds. The testsuite does still check that the IPs are removed from
    the interface, which is logically what we want anyway. (LP: #1805857)
  * debian/control: Fix Vcs-Git

 -- Iain Lane <iain.lane@canonical.com>  Wed, 19 Dec 2018 13:12:58 +0000

network-manager (1.12.6-0ubuntu2) disco; urgency=medium

  [ Robie Basak ]
  * debian/tests:
    - Make dep8 nm test directly invokable

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Dec 2018 22:03:01 +0100

network-manager (1.12.6-0ubuntu1) disco; urgency=medium

  * New upstream version
    - Fix a vulnerability in the internal DHCPv6 client (CVE-2018-15688).
  * debian/patches/git_mac_change.patch:
    - backported a regression fix from upstream git

  [ Alfonso Sanchez-Beato ]
  * Import some WoWLAN patches from the newer stable serie (LP: #1781597)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Dec 2018 18:50:07 +0100

network-manager (1.12.4-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian (LP: #1795704). Remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/network-manager.maintscript
      + Remove /etc/dbus-1/system.d/nm-ofono.conf
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager
  * Revert "Add Conflicts to network-manager-dev against deprecated libraries"
    This reverts commit b4acc5e03e2b821e1cccc69529bb70826c741942.  We're still
    building libnm-glib for now, so these packages have a use in Ubuntu.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 03 Oct 2018 10:03:10 +0100

network-manager (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sun, 23 Sep 2018 10:23:25 +0200

network-manager (1.12.2-3) unstable; urgency=medium

  [ Simon McVittie ]
  * Apply patch from upstream to fix FTBFS with GLib 2.57 (Closes: #906965)

 -- Michael Biebl <biebl@debian.org>  Tue, 04 Sep 2018 16:07:24 +0200

network-manager (1.12.2-2) unstable; urgency=medium

  * Fix compile error due to NM_AVAILABLE_IN_1_12_2 macro (Closes: #905372)

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Aug 2018 15:00:41 +0200

network-manager (1.12.2-1) unstable; urgency=medium

  * New upstream version 1.12.2
    - Robustness fixes to connectivity checking (Closes: #903996)
  * Rebase patches
  * Update symbols file for libnm0
  * Bump Standards-Version to 4.1.5

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jul 2018 13:35:31 +0200

network-manager (1.12.2-0ubuntu5) cosmic; urgency=medium

  * debian/tests/nm: Add the required `gi.require_version()` calls - thanks to
    the autopkgtests for noticing this.
  * debian/tests/control: The nm tests need dnsmasq-base and isc-dhcp-client
    too.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Sep 2018 10:17:30 +0100

network-manager (1.12.2-0ubuntu4) cosmic; urgency=medium

  Cherry-pick fixes from debian:
  * Fix compile error due to NM_AVAILABLE_IN_1_12_2 macro in n-m-applet
  * Apply patch from upstream to fix FTBFS with GLib 2.57

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 10 Sep 2018 11:36:35 +0200

network-manager (1.12.2-0ubuntu3) cosmic; urgency=medium

  * debian/rules:
    - use --with-libnm-glib, the default reversed since that's a legacy
      library but we still need it for unity-control-center

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Aug 2018 11:00:09 +0200

network-manager (1.12.2-0ubuntu2) cosmic; urgency=medium

  * debian/patches/git-newglib-test.patch:
    - backport upstream commit to fix the tests with the new glib 

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Aug 2018 10:44:12 +0200

network-manager (1.12.2-0ubuntu1) cosmic; urgency=medium

  * New upstream version
  * d/p/libnm-register-empty-NMClient-and-NetworkManager-when-loa.patch,
    d/p/e91f1a7d2a6b8400b6b331d5b72287dcb5164a39.patch,
    d/p/git_thunderbolt_connect.patch:
    - removed, those changes are in the new version
  * Backport Debian changes
  * Update symbols file for libnm0
  * Enable iwd support
  * Drop version requirements when oldstable ships a newer version
  * Drop dh_strip override, the dbgsym migration is done
  * Rebase patches
  * Make sure the example server.conf is actually installed
  * Update install path for plugins, it now includes a version number
  * Drop libnl3 build dependency.
    Upstream has copied the code directly from libnl3 for the few functions it
    needs with a few small modifications.
  * Drop libiw build dependency.
    Hasn't been needed for a long time and was simply a left over from older
    releases.
  * Bump Standards-Version to 4.1.5
  * Fix compile error due to NM_AVAILABLE_IN_1_12_2 macro (Closes: #905372)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Aug 2018 09:27:39 +0200

network-manager (1.12.0-5) unstable; urgency=medium

  * manager: accept non-null device for VPN activations (Closes: #903109)

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Jul 2018 13:24:13 +0200

network-manager (1.12.0-4) unstable; urgency=medium

  * Add Conflicts to network-manager-dev against deprecated libraries.
    The deprecated libnm-glib-dev, libnm-glib-vpn-dev and libnm-util-dev
    require header files from network-manager-dev which are no longer
    provided in newer versions. Add Conflicts to network-manager-dev to
    ensure that we don't get a broken combination of installed packages.
    (Closes: #903029)
  * Update description of network-manager-dev

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Jul 2018 13:48:51 +0200

network-manager (1.12.0-3) unstable; urgency=medium

  * Increase timeout in test-nm-client to 30s.
    On slow architectures it can take longer then 3s for the test service to
    start up.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Jul 2018 03:58:53 +0200

network-manager (1.12.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Jul 2018 23:55:36 +0200

network-manager (1.12.0-1) experimental; urgency=medium

  * New upstream version 1.12.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Jul 2018 21:14:07 +0200

network-manager (1.11.90-2) experimental; urgency=medium

  * Drop libnl3 build dependency.
    Upstream has copied the code directly from libnl3 for the few functions it
    needs with a few small modifications.
  * Drop libiw build dependency.
    Hasn't been needed for a long time and was simply a left over from older
    releases.
  * Cherry-pick upstream fixes to make test suite pass on slower buildds

 -- Michael Biebl <biebl@debian.org>  Mon, 18 Jun 2018 14:15:40 +0200

network-manager (1.11.90-1) experimental; urgency=medium

  * New upstream version 1.11.90 (1.12 rc1)
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Jun 2018 15:43:10 +0200

network-manager (1.11.4-1) experimental; urgency=medium

  * New upstream version 1.11.4
  * Update install path for plugins, it now includes a version number
  * Update symbols file for libnm0
  * Make sure the example server.conf is actually installed
  * Rebase patches
  * Drop dh_strip override, the dbgsym migration is done
  * Enable iwd support
  * Drop version requirements when oldstable ships a newer version

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Jun 2018 13:28:39 +0200

network-manager (1.11.3-1) experimental; urgency=medium

  * New upstream version 1.11.3
  * Rebase patches
  * Update symbols file for libnm0
  * Drop inetutils-arputils Suggests.
    The ACD functionality of NetworkManager is no longer using arping, so
    the Suggests is no longer useful.

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Apr 2018 23:35:35 +0200

network-manager (1.10.8-1ubuntu4) cosmic; urgency=medium

  * debian/10-globally-managed-devices.conf: adjust exception for wwan to
    specify cdma and gsm, since those are the actual types handled by NM/MM.
    (LP: #1780606)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 10 Jul 2018 08:17:11 -0400

network-manager (1.10.8-1ubuntu3) cosmic; urgency=medium

  * Revert the changes to remove the nmclient bindings, those are needed
    to build nm-applet until the legacy binaries can be removed, which
    requires unity-control-center to be updated to use the new library.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Jul 2018 15:30:19 +0200

network-manager (1.10.8-1ubuntu2) cosmic; urgency=medium

  * debian/patches/git_thunderbolt_connect.patch:
    - enable host to host connection through thunderbolt

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 May 2018 16:54:48 +0200

network-manager (1.10.8-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian (LP: #1758331). Remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet. (LP: #1676547)
    - debian/network-manager.maintscript
      + Remove /etc/dbus-1/system.d/nm-ofono.conf
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems. (LP: #1681513)
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch
      + Read-system-connections-from-run.patch
      + e91f1a7d2a6b8400b6b331d5b72287dcb5164a39.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
    - debian/tests/urfkill-integration - don't stop/start network manager
  * Keep libnm-glib/libnm-util a bit longer since unity-control-center
    still needs them. See bug 1744619

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 11 May 2018 19:52:40 -0400

network-manager (1.10.8-1) unstable; urgency=medium

  * New upstream version 1.10.8
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 11 May 2018 22:19:39 +0200

network-manager (1.10.6-3) unstable; urgency=medium

  * Stop building libnm-glib/libnm-util.
    Those libraries have been deprecated for several years. The successor is
    libnm, a GObject-based client library using GDBus instead of dbus-glib.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Apr 2018 19:40:01 +0200

network-manager (1.10.6-2ubuntu1) bionic; urgency=medium

  * Merge with Debian (LP: #1758331). Remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet. (LP: #1676547)
    - debian/network-manager.maintscript
      + Remove /etc/dbus-1/system.d/nm-ofono.conf
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems. (LP: #1681513)
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch
      + Read-system-connections-from-run.patch
      + e91f1a7d2a6b8400b6b331d5b72287dcb5164a39.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
    - debian/tests/urfkill-integration - don't stop/start network manager
  * Dropped patches applied in new release:
    - settings-preserve-agent-owned-secrets-on-connection-updat.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Mar 2018 09:21:12 -0400

network-manager (1.10.6-2) unstable; urgency=medium

  * Update Vcs-* to point to https://salsa.debian.org

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Mar 2018 01:57:32 +0100

network-manager (1.10.6-1) unstable; urgency=medium

  * New upstream version 1.10.6
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Mar 2018 01:47:52 +0100

network-manager (1.10.4-1ubuntu3) bionic; urgency=medium

  * Cherry-pick a partial patch from 1.11 branch, to stop agressively
    setting route_only flag on nameservers in the systemd-resolved dns
    plugin. LP: #1751797

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 15 Mar 2018 15:24:01 +0000

network-manager (1.10.4-1ubuntu2) bionic; urgency=medium

  [ Bryan Quigley ]
  * debian/tests/urfkill-integration - don't stop/start network manager

  [ Jeremy Bicha ]
  * Cherry-pick patch from 1.10 branch to fix double prompt for wifi password
    on Kubuntu (LP: #1572244)

 -- Bryan Quigley <bryan.quigley@canonical.com>  Fri, 23 Feb 2018 13:52:48 -0500

network-manager (1.10.4-1ubuntu1) bionic; urgency=medium

  * Merge with Debian (LP: #1734586). Remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet. (LP: #1676547)
    - debian/network-manager.maintscript
      + Remove /etc/dbus-1/system.d/nm-ofono.conf
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems. (LP: #1681513)
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch
      + Read-system-connections-from-run.patch
  * Disable dns-manager-don-t-merge-split-DNS-search-domains.patch:
    This patch needs to be updated for the new release but so far, no
    one that understands the issue and patch have worked to update it.
    After waiting for several weeks, we thought it was more important
    to get this major version update into bionic now.
  * Dropped patches applied in new release:
    - connectivity-allow-override.patch
    - nm1.10-connectivity-check-api.patch
    - fix-resolved-detection.patch
  * Other dropped changes:
    - debian/control, debian/rules:
      + Disable team support since it's in universe (LP: #1392012)
    - Obsolete Ubuntu Phone related patches:
      + Ignore-p2p0-wifi-devices-from-android.patch
      + Ignore-rmnet_usbX-devices.patch'
      + Track-killswitch-change-signals-from-urfkill.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Feb 2018 12:21:37 -0500

network-manager (1.10.4-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Do not fail installation of network-manager-config-connectivity-* if
    network-manager fails to reload (see LP: #1742403)

  [ Michael Biebl ]
  * New upstream version 1.10.4
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Feb 2018 02:51:36 +0100

network-manager (1.10.2-4) unstable; urgency=medium

  * Set Rules-Requires-Root to no
  * platform: fix crash hashing NMPlatformTfilter and NMPlatformQdisc
    (Closes: #888291)
  * Bump Standards-Version to 4.1.3

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Jan 2018 00:01:19 +0100

network-manager (1.10.2-3) unstable; urgency=medium

  * secret-agent: construct the dbus proxy for async agent with the correct
    bus name
  * Revert "Bump debhelper compat level to 11"
    There are currently too many issues with dh_installsystemd, so switch
    back to compat 10 using dh_systemd_enable and dh_systemd_start for the
    time being.

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Jan 2018 19:50:39 +0100

network-manager (1.10.2-2) unstable; urgency=medium

  * libnm-core/tc-config: remove deprecation guards from typedefs
    (Closes: #887815)
  * Bump debhelper compat level to 11

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Jan 2018 14:32:55 +0100

network-manager (1.10.2-1) unstable; urgency=medium

  * New upstream version 1.10.2
  * Rebase patches
  * Update symbols file for libnm0
  * Bump Standards-Version 4.1.2

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Dec 2017 16:26:27 +0100

network-manager (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Nov 2017 21:49:38 +0100

network-manager (1.9.90-1) unstable; urgency=medium

  * New upstream version 1.9.90
  * Rebase patches
  * Update symbols file for libnm0
  * Disable dhcpcanon and openvswitch support.
    DHCP client support with dhcpcanon is still marked as experimental and
    support for Open vSwitch will require more package related changes. If
    Open vSwitch support is enabled, this will most likely be provided via a
    separate binary package.
  * Register empty NMClient and NetworkManager when loading libnm via GIR.
    This prevents the real modules from being loaded because they would in
    turn load libnm-glib and abort() and crash as loading libnm and
    libnm-glib in the same process is not allowed.
    Patch cherry-picked from upstream Git.
  * Bump Standards-Version to 4.1.1

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Nov 2017 20:02:17 +0100

network-manager (1.8.4-4) unstable; urgency=medium

  * {vpn,remote}-connection: disconnect signal handlers when disposed.
    Fixes a crash on VPN connection changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 22 Oct 2017 01:57:24 +0200

network-manager (1.8.4-3) unstable; urgency=medium

  * manager: Disconnect from signals on the proxy when we're disposed.
    Fixes a segfault in manager_recheck_permissions() when unlocking.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Oct 2017 23:28:37 +0200

network-manager (1.8.4-2) unstable; urgency=medium

  * Drop dependency on gir1.2-nm-1.0 from gir1.2-networkmanager-1.0
  * Do not mark python-gi as <!nocheck>
    It is needed to build the settings documentation. (Closes: #871519)

 -- Michael Biebl <biebl@debian.org>  Thu, 28 Sep 2017 19:37:16 +0200

network-manager (1.8.4-1) unstable; urgency=medium

  * New upstream version 1.8.4
  * Rebase patches
  * Switch to dh_missing and abort on uninstalled files

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Sep 2017 22:05:36 +0200

network-manager (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2
  * Rebase patches
  * Bump Standards-Version to 4.0.0

 -- Michael Biebl <biebl@debian.org>  Wed, 12 Jul 2017 19:03:37 +0200

network-manager (1.8.0-5) unstable; urgency=medium

  * Install ifupdown dispatcher script via network-manager.install.
    This avoids a FTBFS when doing arch:all builds.
    Rename the script to 01-ifupdown while at it for consistencies sake.
    (Closes: #864980)
  * Fix creation of network-manager.service symlink.
    Explicitly specify the network-manager package when creating the
    symlink. Otherwise the symlink is created for the wrong package when
    doing arch:all builds where the first package is not network-manager.
  * Add gir related lintian overrides.
    We deliberately ship NMClient-1.0.typelib alongside
    NetworkManager-1.0.typelib in gir1.2-networkmanager-1.0.
    Add overrides for typelib-package-name-does-not-match and
    gir-missing-typelib-dependency.

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Jun 2017 21:23:48 +0200

network-manager (1.8.0-4) unstable; urgency=medium

  * Mention privacy implications of the connectivity checks.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=859934:#37
  * device: capture the IP6 configuration on the IP interface.
    Fixes a crash with Bluetooth devices where the device is the BlueZ
    device and iface stays 0 while the IP interface is the actual BNEP link.
    (Closes: #864071)
  * Drop maintscript migration code from pre-jessie
  * Switch runstatedir from /var/run to /run.
    Update existing /etc/resolv.conf symlinks accordingly. (Closes: #860045)

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Jun 2017 20:59:53 +0200

network-manager (1.8.0-3) experimental; urgency=medium

  [ Rico Tzschichholz ]
  * Enable vala bindings support

  [ Michael Biebl ]
  * Enable connectivity checking functionality.
    Provide a new package called network-manager-config-connectivity-debian
    which can be installed to enable NetworkManager's connectivity checking
    functionality. This is particularly useful for captive portal detection.
    (Closes: #729783, #859934)
  * Reload NetworkManager after installing
    network-manager-config-connectivity-debian
  * Drop obsolete migration code
  * Stop reloading dbus after installing network-manager.
    Nowadays this is done automatically by dbus via dpkg file triggers.

 -- Michael Biebl <biebl@debian.org>  Fri, 26 May 2017 23:49:46 +0200

network-manager (1.8.0-2) experimental; urgency=medium

  * core: fix reading device state file.
    Properly setup devices which were marked as managed=unknown when
    restoring from state file.
  * Split introspection data for libnm into gir1.2-nm-1.0.
    Keep the introspection data for the deprecated libnm-glib and libnm-util
    library in gir1.2-networkmanager-1.0 but split out the introspection data
    for libnm into a new gir1.2-nm-1.0 package.
    This will make a transition from libnm-glib/libnm-util to libnm easier.
    To not break existing packages, add a dependency on gir1.2-nm-1.0 to
    gir1.2-networkmanager-1.0.

 -- Michael Biebl <biebl@debian.org>  Fri, 12 May 2017 01:37:42 +0200

network-manager (1.8.0-1) experimental; urgency=medium

  * New upstream version 1.8.0
  * Switch URLs to https
  * Update Build-Depends
    - Use libudev instead of libgudev
    - Use libpsl and libcurl instead of libsoup
  * Rebase patches
  * Update symbols file for libnm0
  * Drop obsolete ifblacklist_migrate.sh script.
    It's been unused since wheezy.
  * Drop obsolete migration code from pre-jessie
  * Install empty directories for dispatcher scripts, conf.d snippets and VPN
    plugins

 -- Michael Biebl <biebl@debian.org>  Thu, 11 May 2017 18:25:14 +0200

network-manager (1.6.2-3) unstable; urgency=medium

  * device/wifi: block autoconnect while scanning is in progress.
    We should only start autoconnecting after the scan is complete.
    Otherwise, we might activate a shared connection or pick a
    connection based on an incomplete scan list. (Closes: #854078)

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Mar 2017 12:59:56 +0100

network-manager (1.6.2-2) unstable; urgency=medium

  * libnm: disconnect signal from D-Bus proxies on dispose (Closes: #854810)
  * dhcp/dhclient: parse "interface" statements.
    Until now any "interface" statement was ignored and any enclosed
    statement for which we have a special handling was considered, even if
    belonging to a different interface. This can cause wrong options to be
    set in the generated dhclient configuration. (Closes: #855910)

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Mar 2017 22:12:18 +0100

network-manager (1.6.2-1) unstable; urgency=medium

  * New upstream release
    - nm-online: return from quit_if_connected after setting retval.
      This fixes a regression introduced by 1.6.0 where  "nm-online -x -q"
      always exits with status 1 (offline). (Closes: #852815)
    - dhcp: dhclient: reset the request list if conf file contains 'request'.
      This fixes DNS resolution problems when using dhclient due to duplicated
      search domain strings in /etc/resolv.conf. (Closes: #854343)

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Feb 2017 23:24:17 +0100

network-manager (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * Rebase patches
  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jan 2017 21:19:51 +0100

network-manager (1.5.91-1) experimental; urgency=medium

  * New upstream release (1.6 rc2)
  * Update Vcs-* according to the latest recommendation
  * Install ppp plugin.
    The PPP manager was split into a separate plugin which can be loaded on
    demand.
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Jan 2017 00:05:28 +0100

network-manager (1.5.90-2) experimental; urgency=medium

  * Add explicit Build-Depends on automake (>= 1.12) as required by
    configure.ac

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Jan 2017 11:52:22 +0100

network-manager (1.5.90-1) experimental; urgency=medium

  * New upstream release (1.6 rc1).
  * Rebase patches.
  * Enable JSON validation.
    This enables team configuration validation via Jansson.
  * Update symbols file for libnm0.
  * Install the D-Bus interface introspection files in network-manager-dev.
  * Update package description for the dev packages.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Jan 2017 00:00:50 +0100

network-manager (1.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Refresh patches, dropping ones that are included upstream:
    - manager-fix-state-transition-on-resuming-from-sleep.patch
    - wifi-notify-the-AccessPoint-change-after-an-AP-is-removed.patch

 -- Aron Xu <aron@debian.org>  Tue, 20 Dec 2016 20:57:07 +0800

network-manager (1.4.2-3) unstable; urgency=medium

  * Notify the AccessPoint change after an AP is removed.
    Patch cherry-picked from upstream Git.
  * Fix state transition on resuming from sleep so we don't end up with
    unmanaged devices.
    Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Nov 2016 12:53:50 +0100

network-manager (1.4.2-2) unstable; urgency=medium

  * Drop Build-Depends on dh-systemd, no longer necessary with debhelper 10.
  * Do not (re)start NetworkManager-dispatcher.service as part of the upgrade
    process. This was an unintended side-effect of switching to debhelper
    compat level 10. (Closes: #839884)

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Oct 2016 22:16:53 +0200

network-manager (1.4.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix emission of NM-style PropertiesChanged signals and deprecate them
      for PropertiesChanged on "org.freedesktop.DBus.Properties" interface.
      (Closes: #836270)
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Sat, 01 Oct 2016 01:01:42 +0200

network-manager (1.4.0-4) unstable; urgency=medium

  * Drop override for dh_auto_test. We don't explicitly need to dump the log
    files as dh_auto_test runs with VERBOSE=1 by default.
  * Fix MAC address randomization.
    Cherry-pick a couple of upstream commits which work around driver bugs
    when MAC address randomization is used. (Closes: #835822, #835553)
  * Bump debhelper compat level to 10.
  * Don't try to decrypt PKCS#8 key if no password is supplied. This fixes
    failures with GnuTLS 3.5.4 which supports PBES1-DES-CBC-MD5 now.
    (Closes: #838594)

 -- Michael Biebl <biebl@debian.org>  Fri, 23 Sep 2016 23:53:33 +0200

network-manager (1.4.0-3) unstable; urgency=medium

  * Export _IO_stdin_used symbol in NetworkManager.ver.
    This symbol is required to decide which version of certain IO functions
    to use on various architectures. So we can't strip away the symbol from
    the NetworkManager binary as this will lead to segfaults on those
    architectures. (Closes: #835550)

 -- Michael Biebl <biebl@debian.org>  Sun, 28 Aug 2016 16:11:16 +0200

network-manager (1.4.0-2) unstable; urgency=medium

  * Correctly set the connectivity state if we enforce online mode with
    unmanaged devices.
  * Stop mentioning "managed=true" mode in README.Debian. Its usage is
    strongly discouraged nowadays.

 -- Michael Biebl <biebl@debian.org>  Fri, 26 Aug 2016 21:31:54 +0200

network-manager (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update symbols file for libnm0.
  * Ignore new "connectivity-change" events in ifupdown dispatcher hook.

 -- Michael Biebl <biebl@debian.org>  Fri, 26 Aug 2016 16:13:15 +0200

network-manager (1.2.4-2) unstable; urgency=medium

  * Demote isc-dhcp-client from Depends to Recommends.
    NetworkManager will automatically fall back to the internal dhcp client if
    dhclient is not available. (Closes: #826680)

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Aug 2016 16:57:18 +0200

network-manager (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update symbols file for libnm0.
  * Replace /etc/resolv.conf symlink with an empty file on package removal
    to signal other packages that NetworkManager is no longer controlling the
    file. (Closes: #826366)
  * Clear WiFi requested_scan if wpa_supplicant exits or goes inactive.
    Patches cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Tue, 09 Aug 2016 09:13:34 +0200

network-manager (1.2.2-2) unstable; urgency=medium

  * Let NetworkManager.service pull in network.target. This will provide a
    proper ordering on shutdown.
  * Enable NetworkManager-wait-online.service. This ensures that mounting of
    network file systems works properly and SysV init scripts depending on
    $network will be delayed until network is available (or a timeout is
    reached).
  * Make sure NetworkManager-wait-online.service is enabled on upgrades. We
    need to purge the old state, otherwise i-s-h won't enable the service on
    upgrades.

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Jun 2016 19:00:45 +0200

network-manager (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2016 18:20:31 +0200

network-manager (1.2.0-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Enable SELinux support, this allows NM to properly set labels on the
    hostname files.
  * Enable audit support

  [ Michael Biebl ]
  * New upstream release (Closes: #822294).
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Mon, 25 Apr 2016 15:09:49 +0200

network-manager (1.1.94-1) unstable; urgency=medium

  * New upstream release. (1.2 rc2).
  * Rebase patches.
  * Update debian/copyright, add new section for documentation which is
    licensed under the GFDL.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Apr 2016 18:08:32 +0200

network-manager (1.1.93-1) unstable; urgency=medium

  * New upstream release (1.2 rc1).
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Apr 2016 00:59:50 +0200

network-manager (1.1.92-1) unstable; urgency=medium

  * New upstream release (1.2 beta3).
  * Rebase patches.
  * Set the udev directory to /lib/udev via the new --with-udev-dir= configure
    switch.
  * Update symbols file for libnm-util2 and libnm0.
  * Add versioned Build-Depends on dpkg-dev (>= 1.17.14) for <!nocheck>
    support.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 Mar 2016 21:31:29 +0200

network-manager (1.1.91-3) unstable; urgency=medium

  * Bump Build-Depends on debhelper to (>= 9.20160114) for
    "--dbgsym-migration" support.

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Mar 2016 21:14:41 +0100

network-manager (1.1.91-2) unstable; urgency=medium

  * Skip the test suite if "nocheck" is set via DEB_BUILD_OPTIONS.
  * Mark the Build-Depends which are required to run the test suite with
    <!nocheck>.
  * Use the architecture.mk Makefile snippet provided by dpkg-dev to retrieve
    DEB_HOST_MULTIARCH.
  * Ensure proper upgrade from network-manager-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration.
  * Add a hack for wext devices reporting IW_MODE_AUTO configuration mode.
    Patch cherry-picked from upstream Git. (Closes: #817115)

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Mar 2016 21:03:20 +0100

network-manager (1.1.91-1) unstable; urgency=medium

  * New upstream release (1.2 beta2).
  * Rebase patches.
  * Update symbols file for libnm0.
  * Ship /etc/NetworkManager/dnsmasq.d/ directory which can be used to extend
    the dnsmasq local caching nameserver config.
  * Ship /etc/NetworkManager/dnsmasq-shared.d/ directory which can be used to
    extend the dnsmasq configuration for shared connections.
  * Fix bashism in tools/run-test-dbus-session.sh.
  * Dump the contents of test-suite.log to stdout when the test suite fails.

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Mar 2016 20:42:24 +0100

network-manager (1.1.90-6) unstable; urgency=medium

  * Fix NMSettingVxlan ageing and limit max values to be G_MAXUINT32.
    Patch cherry-picked from upstream Git. (Closes: #813739)

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Feb 2016 02:51:20 +0100

network-manager (1.1.90-5) unstable; urgency=medium

  * Clean up error paths in dns-manager.
    Specifically for resolvconf, if the write succeeded, but the pclose()
    failed, error would be left NULL and SR_ERROR would be returned, which
    caused a crash in nm_dns_manager_end_updates().
    Patch cherry-picked from upstream Git. (Closes: #813803)

 -- Michael Biebl <biebl@debian.org>  Fri, 05 Feb 2016 20:12:47 +0100

network-manager (1.1.90-4) unstable; urgency=medium

  * Upload to unstable.
  * Drop dbg package now that we have automatic dbgsym packages.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Feb 2016 05:54:47 +0100

network-manager (1.1.90-3) experimental; urgency=medium

  * Add chroot capability to systemd service file. Needed for running openvpn.
    Patch cherry-picked from upstream Git.
  * Use bash when running the tests for nm_utils_kill_child. The trap handling
    in dash seems to have issues, see #390433.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Jan 2016 22:25:51 +0100

network-manager (1.1.90-2) experimental; urgency=medium

  * Update debian/copyright.
  * Clean up obsolete /etc/dbus-1/system.d/nm-avahi-autoipd.conf conffile on
    upgrades.
  * Use dbus-run-session instead of dbus-launch within the test suite.
  * Run test suite during build. This requires a build dependency on
    python-gi, python-dbus and dbus (for dbus-run-session).

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Jan 2016 23:23:46 +0100

network-manager (1.1.90-1) experimental; urgency=medium

  * New upstream release (1.2 beta1).
  * Explicitly enable nmcli.
  * Set the path to the dnssec-trigger-script via the configure switch.
  * Rebase patches.
  * Drop dependency on avahi-autoipd. Native IPv4 link-local addressing
    configuration based on systemd network library is now used instead.
  * Restore export of nm_vpn_plugin_old_* symbols. Patch cherry-picked from
    upstream Git.
  * Update symbols files for libnm-glib4, libnm-util2 and libnm0.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jan 2016 21:56:36 +0100

network-manager (1.0.10-2) unstable; urgency=medium

  * Fix failure to configure routes due to wrong device-route for IPv4
    peer-addresses. Patch cherry-picked from upstream Git. (Closes: #809195)
  * Switch from user-mode PPPoE client back to kernel-mode PPPoE.
    We switched to rp-pppoe some time ago to workaround a bug in detecting
    disconnects which has seen been fixed in the kernel and could be worked
    around fairly simply with the right configuration.
    In addition, the kernel mode PPPoE implementation is faster and provides
    more features. (Closes: #783525)

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jan 2016 16:16:13 +0100

network-manager (1.0.10-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depend on libsoup2.4-dev to (>= 2.40) as per configure.ac.
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Dec 2015 00:43:55 +0100

network-manager (1.0.8-2) unstable; urgency=medium

  [ Chris Boot ]
  * Use dh_ppp to generate Breaks for ppp and find the path to the plugin
    directory. (Closes: #805565)

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Dec 2015 22:07:15 +0100

network-manager (1.0.8-1) unstable; urgency=medium

  * New upstream release.
    - MTU indicated by a VPN gateway is now properly applied.
      (Closes: #794237)
  * Rebase patches.
  * Install new nm-versions-macros.h header file.
  * Check errors of polkit_unix_session_new_for_process_sync(). Patch
    cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Nov 2015 14:32:35 +0100

network-manager (1.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update symbols file for libnm0 and libnm-glib4.
  * Drop debian/patches/Mark-virtual-ethernet-interfaces-as-unmanaged.patch,
    this patch is obsolete, since upstream provides a udev rules based
    mechanism now to mark virtual interfaces as unmanaged. (Closes: #794083)
  * Use GnuTLS crypto API instead of gcrypt. Patch cherry-picked from upstream
    Git. (Closes: #748675)
  * Fix command line parsing in nmcli. Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Aug 2015 17:01:26 +0200

network-manager (1.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update symbols file for libnm0.
  * Drop obsolete Breaks from pre-wheezy.

 -- Michael Biebl <biebl@debian.org>  Thu, 30 Jul 2015 00:20:10 +0200

network-manager (1.0.2-2) unstable; urgency=medium

  * Fix fallback paths when writing resolv.conf. (Closes: #784587)

 -- Michael Biebl <biebl@debian.org>  Thu, 07 May 2015 03:48:34 +0200

network-manager (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Make no-patch-numbers the default for gbp pq to avoid unnecessary noise.
  * Rebase patches.
  * Enable and install the ibft plugin. This plugin queries the 'iscsiadm'
    tool and generates connections based on the firmware configuration.
  * Fix path to the iscsiadm binary in the ibft plugin.

 -- Michael Biebl <biebl@debian.org>  Wed, 06 May 2015 18:20:12 +0200

network-manager (1.0.0-5) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Apr 2015 15:27:39 +0200

network-manager (1.0.0-4) experimental; urgency=medium

  * Merge changes from master branch.
  * Bump version check in preinst for the cleanup routine to match the
    experimental version.

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Mar 2015 07:45:38 +0200

network-manager (1.0.0-3) experimental; urgency=medium

  * Add strictly versioned Depends on libnm0 to libnm-dev.
  * Detect at runtime whether to start ModemManager. (Closes: #770871)
  * Don't install nm-settings-ifcfg-rh.5 man page.

 -- Michael Biebl <biebl@debian.org>  Mon, 09 Feb 2015 01:58:39 +0100

network-manager (1.0.0-2) experimental; urgency=medium

  * Enable Bluez5 DUN support.
  * Enable polkit agent support for the CLI tools.
  * Update Vcs-Browser URL to use cgit and https.

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Feb 2015 13:51:31 +0100

network-manager (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update symbols files for libnm-glib and libnm-util.
  * Add perl and libyaml-perl to Build-Depends, required to build the
    documentation.
  * Add libnm0 and libnm-dev packages for libnm, a new GObject-based client
    library for NetworkManager which is supposed to replace libnm-util and
    libnm-glib.
  * Fix incorrect dependencies in libnm.pc.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 23 Jan 2015 21:26:50 +0100

network-manager (0.9.10.0-7) unstable; urgency=medium

  * Don't make NetworkManager D-Bus activatable. If the daemon has been
    stopped manually, we don't want it to be autostarted by client requests.
    (Closes: #760998)
  * Don't block network.target on NetworkManager-wait-online.service. While at
    it, add a few other minor fixes like the addition of Documentation or
    RemainAfterExit=yes.

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Mar 2015 07:06:07 +0200

network-manager (0.9.10.0-6) unstable; urgency=medium

  * Detect at runtime whether to start ModemManager. When not running under
    systemd, start ModemManager via dbus activation. (Closes: #770871)
  * Do not assert when a device is enslaved externally. Fixes crash when
    running something like 'brctl addif br0 eth0'. (Closes: #773216)

 -- Michael Biebl <biebl@debian.org>  Mon, 09 Feb 2015 02:29:46 +0100

network-manager (0.9.10.0-5) unstable; urgency=medium

  * Cherry-pick upstream commit which prevents breaking PtP TUN interfaces by
    not overriding external route metrics. (Closes: #767002)
  * Cherry-pick upstream commit which tells systemd to restart NetworkManager
    if it exits with a failure. (Closes: #773213)

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Dec 2014 01:10:08 +0100

network-manager (0.9.10.0-4) unstable; urgency=medium

  * Team upload.
  * Fix arping path and add iputils-arping to the Recommends (Closes:#755039)
  * Add d/p/0013-fix-dhclient-abnormal-exit-due-to-SIGPIPE.patch,
    d/p/0014-log-DHCLIENT-exit-status-better.patch: Prevent dhclient to crash
    when journald is restarted (Closes: #756144)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 13 Dec 2014 16:51:45 +0100

network-manager (0.9.10.0-3) unstable; urgency=medium

  [ Arto Jantunen ]
  * Use the correct path when calling dnssec-trigger-script. (Closes: #763023)

  [ Michael Biebl ]
  * Acknowledge NMU, thanks Micah Anderson.
  * Install typelib files into multiarch paths now that gobject-introspection
    supports multiarch.
  * Mark gir and dev packages as Multi-Arch: same.
  * Build against libsystemd-dev.
  * Cherry-pick upstream commits to make nmtui-edit properly save and display
    passwords. (Closes: #754382)

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Sep 2014 06:12:19 +0200

network-manager (0.9.10.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream commit to fix checks for default routes (Closes:
    #761114)

 -- Micah Anderson <micah@debian.org>  Wed, 17 Sep 2014 10:06:10 -0400

network-manager (0.9.10.0-2) unstable; urgency=medium

  * Use default compression for binary packages.
  * Enable Network Team driver support. This is an optional feature which
    requires the teamd daemon provided by libteam-utils.
  * Cherry-pick upstream commit to fix Wi-Fi section of "nmtui connect" list
    in non-UTF-8 locales. (Closes: #760186)

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Sep 2014 19:40:17 +0200

network-manager (0.9.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Exclude libtool .la files from list-missing.
  * Update symbols files.
  * Update Build-Depends as per configure.ac.
  * Build and install nmtui, a curses-based interface for easier console
    operation.
  * Install new device plugins.
  * Stop installing the nm-tool binary which was dropped upstream as it has
    been replaced by the much more powerful nmcli tool.
  * Stop installing the nm-dhcp-client.conf D-Bus policy. NetworkManager uses
    a private D-Bus socket now to communicate with that helper, making that
    file obsolete.
  * Remove the obsolete /etc/dbus-1/system.d/nm-dhcp-client.conf conffile on
    upgrades.
  * Specify the path to the pppd and pppoe binary via the corresponding
    configure switch.
  * Update patches.
    - Drop "Add D-Bus policy for group netdev" patch. Usage of D-Bus
      "at_console" permissions has been removed upstream and access for
      unprivleged users is now handled entirely with PolicyKit.
    - Add patch to use symbolic links instead of hard links for
      /usr/bin/nmtui-*.
    - Add patch to treat virtual ethernet devices as unmanaged to avoid
      interfering with VBox and VMware network interfaces.
    - Refresh remaining patches.
  * Create /etc/NetworkManager/conf.d/ directory which can be used to extend
    the NetworkManager configuration without having to modify the
    distro-provided NetworkManager.conf.
  * Ship an example server.conf configuration file which can be dropped into
    /etc/NetworkManager/conf.d/ to change NetworkManager's behaviour to be
    more like what's expected on "traditional UNIX server" type deployments.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Jul 2014 06:44:53 +0200

network-manager (0.9.8.10-4) unstable; urgency=medium

  * Build against libgnutls28-dev. (Closes: #753136)

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Jun 2014 01:49:26 +0200

network-manager (0.9.8.10-3) unstable; urgency=medium

  * Add explicit Build-Depends on libgcrypt11-dev and don't rely on
    libgnutls-dev to pull in that dependency for us. Newer versions of GnuTLS
    no longer use gcrypt but nettle as crypto backend. (Closes: #745955)

 -- Michael Biebl <biebl@debian.org>  Mon, 19 May 2014 17:07:17 +0200

network-manager (0.9.8.10-2) unstable; urgency=medium

  * Don't hookup NetworkManager-wait-online.service in network-online.target
    because it creates a dependency cycle with our current support for legacy
    SysV init scripts.
  * Specify the path for the dnsmasq binary at configure time.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 May 2014 13:43:33 +0200

network-manager (0.9.8.10-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/*: Refresh if necessary

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2014 21:05:11 +0200

network-manager (0.9.8.8-7) unstable; urgency=medium

  * Build against ppp 2.4.6. Update plugin path and dependencies accordingly.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Apr 2014 10:21:08 +0200

network-manager (0.9.8.8-6) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Rework the fix for #734460, kill NetworkManager in the postinst script
    instead of the preinst one to minimize downtime on big upgrades

  [ Michael Biebl ]
  * Don't setup Sleep Monitor if system was not booted with systemd. With a
    standalone logind we don't receive the Resume signal after a suspend
    request and NetworkManager remains in sleep mode where the devices are
    unmanaged. (Closes: #742933)
  * Use dh-autoreconf to update the build system. Override dh_autoreconf since
    we need to run gtkdocize.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Apr 2014 12:48:33 +0200

network-manager (0.9.8.8-5) unstable; urgency=medium

  * Bump debhelper compatibility level to 9.
  * Convert to multi-arch. Mark libnm-glib4, libnm-glib-vpn1 and libnm-util2
    as M-A: same. As pppd has not been converted yet, keep installing the ppp
    plugin to /usr/lib/pppd/2.4.5/.
  * Rely on dh v9 to set flags from dpkg-buildflags.
  * Use autotools_dev dh addon for up-to-date config.{guess,sub}.
  * Add Depends on libpam-systemd since NetworkManager requires a properly
    setup logind session. (Closes: #743128)
  * Bump policykit-1 from Recommends to Depends.
  * Move the initial ifstate file check into nm_manager_start () to make sure
    the NMManager object has been fully initialized. (Closes: #730437)

 -- Michael Biebl <biebl@debian.org>  Wed, 02 Apr 2014 22:58:16 +0200

network-manager (0.9.8.8-4) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Update the Homepage URL

  [ Michael Biebl ]
  * Upload to unstable.
  * Fix URL to keyfile spec in README.Debian.
  * Remove /etc/systemd/system/network-manager.service symlink, which was
    previously created dynamically via Alias=, on upgrades.
  * Install PolicyKit rules and pkla file into the system directory.
    /etc/polkit-1 is reserved for local configuration.

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Mar 2014 17:12:10 +0100

network-manager (0.9.8.8-3) experimental; urgency=medium

  * Team upload.
  * debian/network-manager.preinst: Stop network-manager before upgrading if
    we are running systemd and the unit is not enabled (Closes: #734460)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 12 Jan 2014 01:35:30 +0100

network-manager (0.9.8.8-2) experimental; urgency=medium

  * Team upload.
  * debian/network-manager.install: Also install the
    NetworkManager-dispatcher.service service file
  * debian/patches/03-systemd.patch, debian/network-manager.links: Install a
    symlink instead of using an Alias= to mask the initscript (Closes: #719703)
  * debian/control, debian/rules: Add call to dh-systemd to enable and start
    the systemd services
  * debian/network-manager.links: Create a symlink so
    NetworkManager-wait-online.service is run before network-online.target
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * debian/network-manager.links, debian/rules: Create the symlinks before
    calling dh_systemd_start so the services are not restarted twice

 -- Laurent Bigonville <bigon@debian.org>  Fri, 27 Dec 2013 15:46:33 +0100

network-manager (0.9.8.8-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * debian/60-network-manager.rules
    debian/network-manager.install:
    - Install a rules file compatible with experimentals policykit (0.110)
      implementing the same policy as the pkla
  * Switch session tracking to systemd.
  * New upstream release
  * Dropped patches fixed upstream:
    + d/p/06-tear-down-connections-for-unavailable-devices.patch
    + d/p/07-duid-fallback.patch
    + d/p/08-ifupdown-clarify-name-of-connections-hash.patch
    + d/p/09-ifupdown-fix-naming-confusion-in-plugin-hash-tables.patch
    + d/p/10-ifupdown-recalculate-unmanaged-specs-on-interface-ch.patch
  * debian/patches/03-systemd.patch: Refreshed
  * debian/patches/05-force-online-with-unmanaged-devices.patch: Refreshes

  [ Laurent Bigonville ]
  * debian/control: Use canonical URL for the VCS fields
  * debian/control, debian/rules: Enable connectivity checking support
    (Closes: #691790)
  * debian/libnm-glib4.symbols: Add the new symbols exported for connectivity
    checking support

  [ Sjoerd Simons ]
  * Enable usage of the new modem-manager interface
  * Use bluez 4

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 01 Nov 2013 22:11:43 +0100

network-manager (0.9.8.0-5) unstable; urgency=low

  * Remove old code for upgrading from pre-squeeze versions.
  * Look harder for machine-id, and generate random DUID if it doesn't exist.
    Patch cherry-picked from upstream Git. (Closes: #707204) (bgo: #696109)
  * Fix ifupdown plugin to recalculate unmanaged specs on interface changes.
    Patches cherry-picked from upstream Git. (Closes: #707070)

 -- Michael Biebl <biebl@debian.org>  Wed, 08 May 2013 20:29:50 +0200

network-manager (0.9.8.0-4) unstable; urgency=low

  * Ensure ActiveConnections are torn down when device is unavailable. Patch
    cherry-picked from upstream Git. (Closes: #700391)

 -- Michael Biebl <biebl@debian.org>  Tue, 07 May 2013 02:02:31 +0200

network-manager (0.9.8.0-3) unstable; urgency=low

  [ Michael Biebl ]
  * Use gir dh addon instead of calling dh_girepository manually.
  * Upload to unstable.
  * Be more aggressive in cleaning up /var/lib/NetworkManager on purge.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 May 2013 06:07:27 +0200

network-manager (0.9.8.0-2) experimental; urgency=low

  [ Sjoerd Simons ]
  * Add myself to uploaders

  [ Michael Biebl ]
  * Stop providing static start and stop priorities for dh_installinit. Those
    are no longer tested and we rely on the dependency information in the LSB
    header now to get a correct ordering when being run under sysvinit.
  * Tighten dependencies between -dev packages.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Mar 2013 16:23:07 +0100

network-manager (0.9.8.0-1) experimental; urgency=low

  * New upstream release.
  * Drop 06-nm-settings-manx.patch, merged upstream.
  * Update symbols file for libnm-glib.
  * Install bash-completion file for nmcli.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Feb 2013 23:14:18 +0100

network-manager (0.9.7.997-2) experimental; urgency=low

  * Move pid file to the new location in /var/run/NetworkManager.

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Feb 2013 19:23:19 +0100

network-manager (0.9.7.997-1) experimental; urgency=low

  * New upstream release (0.9.8 beta2).
  * Update symbols files.
  * Use new distro-agnostic configure flags.
  * Drop 04-systemd-set-kill-mode-process.patch, refresh other patches.
  * Bump Build-Depends on libglib2.0-dev, libudev-dev, libgudev-1.0-dev and
    libnl-3-dev.
  * Mark binary packages as linux-any.
  * No longer install nm-crash-logger, has been removed upstream.
  * 05-force-online-with-unmanaged-devices.patch: Set correct online state on
    daemon startup.
  * 06-nm-settings-manx.patch: Don't install generated xml file as man page.

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Feb 2013 17:12:48 +0100

network-manager (0.9.6.4-3) experimental; urgency=low

  * Merge changes from unstable branch.
  * Refresh 05-force-online-with-unmanaged-devices.patch.

 -- Michael Biebl <biebl@debian.org>  Tue, 29 Jan 2013 04:43:19 +0100

network-manager (0.9.6.4-2) experimental; urgency=low

  * Merge changes from unstable branch.
  * Drop patches for libnm-glib, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Jan 2013 10:13:36 +0100

network-manager (0.9.6.4-1) experimental; urgency=low

  * New upstream release.
  * Update symbols file for libnm-glib.

 -- Michael Biebl <biebl@debian.org>  Fri, 26 Oct 2012 22:54:01 +0200

network-manager (0.9.6.0-1) experimental; urgency=low

  * New upstream release.
  * Bump Build-Depends on libdbus-glib-1-dev to (>= 0.94).
  * Update symbols file for libnm-util.

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Aug 2012 22:21:08 +0200

network-manager (0.9.5.95-1) experimental; urgency=low

  * New upstream release (0.9.6 rc1).
    - Remove 'max_replies_per_connection' limit from D-Bus configuration.
      (Closes: #678965)
  * debian/patches/02-dbus_access_network_manager.patch: Updated.
  * Remove patches which have been merged upstream.
  * Update symbols files for libnm-glib and libnm-util.

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Jun 2012 20:30:16 +0200

network-manager (0.9.4.0-10) unstable; urgency=low

  * debian/patches/21-carrier-detect.patch: ensure carrier is always on for
    devices that don't support detection (rh #816719). (Closes: #699292)
    Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 Jan 2013 01:12:53 +0100

network-manager (0.9.4.0-9) unstable; urgency=low

  * Change the ifupdown dispatcher script and set ADDRFAM to "inet" or "inet6"
    depending on whether the connection has a valid IPv4 or IPv6 address.
    Using "NetworkManager" as ADDRFAM type did confuse most ifupdown hook
    scripts and e.g. broke async NFS mounts. (Closes: #475188, #656584)
  * debian/patches/05-force-online-with-unmanaged-devices.patch: If network
    interfaces are configured in /etc/network/interfaces, NM will mark those
    devices as unmanaged by default. If such a network interface has been
    brought up by ifup, set the global online state to CONNECTED.
    (Closes: #512286)
  * No longer run the ifblacklist_migrate.sh script upon installation. This
    script was used to comment out DHCP type network interface configurations
    in /etc/network/interfaces as otherwise NM would mark such devices as
    unmanaged. This script was buggy though and sometimes created a broken
    network configuration.
    Since debian-installer in wheezy (7.0) will create proper configuration
    for NM if the network-manager package is part of the installation, this is
    no longer necessary.
    If users make a minimal system installation and install the
    network-manager package afterwards, show a warning in postinst if we
    find any interface configurations in /etc/network/interfaces.
    (Closes: #688355, #690987, #606268)
  * Update README.Debian for the latest changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 29 Jan 2013 04:10:11 +0100

network-manager (0.9.4.0-8) unstable; urgency=low

  * Move the pkla file to /etc/polkit-1 as requested by the release team.
  * debian/patches/04-systemd-set-kill-mode-process.patch: By default, when
    shutting NM down, systemd will kill everything in its cgroup. But this
    can cause problems (eg, NM thinking that dhclient crashed and then taking
    down an interface that it would otherwise have left up). Fix this by
    setting KillMode=process, which tells systemd to only kill NM itself, and
    let NM kill its children. Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Jan 2013 20:23:27 +0100

network-manager (0.9.4.0-7) unstable; urgency=low

  * Install a PolicyKit pkla file which allows members of group netdev or sudo
    to create system-wide network connections without being prompted for the
    admin password. (Closes: #642136)
  * Cherry-pick patches for libnm-glib which fix various segfaults e.g. in
    gnome-control-center when switching between overview and network settings
    panel or in gnome-shell and nm-applet when restarting NetworkManager.
    (Closes: #696143) (bgo: #674473)

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Dec 2012 03:48:18 +0100

network-manager (0.9.4.0-6) unstable; urgency=low

  * debian/rules: Use xz compression for binary packages.
  * debian/patches/15-ignore-cached-cloned-routes-ipv6-config.patch,
    debian/patches/16-ignore-cached-cloned-routes-kernel-notifications.patch:
    Don't create static IPv6 routes for cached/cloned routes. Patches
    cherry-picked from upstream Git. (Closes: #686328)
  * debian/patches/17-dbus-remove_max_replies_per_connection_limit.patch:
    Remove 'max_replies_per_connection' limit from D-Bus configuration which
    sets it to 512. It was intended to increase the limit from its historical
    value of 32. However, since 2007 the default limit has been 8192, so this
    is actually a reduction. (Closes: #678965)

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Sep 2012 19:24:15 +0200

network-manager (0.9.4.0-5) unstable; urgency=low

  * debian/patches/14-use-same-kernel-API-as-wpa_supplicant.patch: Some
    drivers (ipw2x00) have an incomplete nl80211 implementation and only
    report capabilities which made NM chose the wrong API to talk to the
    device. Instead, match the logic that wpa_supplicant uses to determine
    whether to stick with nl80211 or fall back to WEXT. (Closes: #673705)

 -- Michael Biebl <biebl@debian.org>  Tue, 29 May 2012 12:30:11 +0200

network-manager (0.9.4.0-4) unstable; urgency=low

  * debian/network-manager.dirs: Install /etc/NetworkManager/VPN/ directory.
    This directory needs to exist so NetworkManager can monitor it for changes
    (via inotify) to automatically detect newly installed VPN plugins.
    (Closes: #672963)
  * debian/network-manager.maintscript: Use new versioning scheme as
    recommended by dpkg-maintscript-helper which better handles local
    modifications and (bin)NMUs.
  * debian/patches/13-dont-replace-kernel-default-route-for-IPv6.patch: Don't
    fight with the kernel over the default IPv6 route. (Closes: #670818)

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 01:59:39 +0200

network-manager (0.9.4.0-3) unstable; urgency=low

  * debian/patches/12-initialize-gerror.patch: Initialize GError, else invalid
    free() crash can occur. Fixes a crash in gnome-shell if NetworkManager is
    not running. Patch cherry-picked from upstream Git. (Closes: #665791)
    Thank a lot to Antti-Juhani Kaijanaho for tracking down this problem!
  * Remove explicit Build-Depends on gir1.2-glib-2.0 and gir1.2-freedesktop,
    let libgirepository1.0-dev pull those dependencies.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Apr 2012 20:20:13 +0200

network-manager (0.9.4.0-2) unstable; urgency=low

  * debian/patches/11-initialize-nm-remote-settings.patch: Cherry-pick patch
    from upstream Git which fixes a regression when initializing
    NMRemoteSettings. (Closes: #665752)

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Apr 2012 07:18:51 +0200

network-manager (0.9.4.0-1) unstable; urgency=low

  * New upstream release.
    - IP configuration is now non-blocking; waiting for IPv6 RA no longer
      blocks the device from activating if IPv4 is ready and vice versa.
      (Closes: #653076)
    - Set the correct default route for IPv6. (Closes: #657109)
  * debian/patches/04-ifupdown-support-dns-search-entries.patch: Removed,
    merged upstream.
  * debian/patches/10-format-security.patch: Fix format string vulnerability
    by using g_set_error_literal().
  * Refresh patches.
  * Rewrite and update debian/copyright using the machine-readable copyright
    format 1.0. (Closes: #652882)
  * Bump Standards-Version to 3.9.3.
  * Clean up seen-bssids and timestamps state file on purge.
  * Update symbols files for libnm-glib and libnm-util.
  * Install new nm-*-enum-types.h header files.
  * Add Build-Depends on libnl-genl-3-dev.
  * The D-Bus policy file /etc/dbus-1/system.d/NetworkManager.conf has been
    renamed to org.freedesktop.NetworkManager.conf. Update the .install file
    and use the dh_install maintscript facility to move the conffile on
    upgrades. This requires a newer debhelper, so bump the Build-Depends
    accordingly.
  * Use dh_install maintscript to handle the other conffiles as well.

 -- Michael Biebl <biebl@debian.org>  Sat, 24 Mar 2012 14:26:44 +0100

network-manager (0.9.2.0-2) unstable; urgency=low

  * Build against libnl3.
  * Change section of gir1.2-networkmanager-1.0 to introspection.
  * Fix versioned Build-Depends on dpkg-dev.
    The buildflags.mk snippet was added in version 1.16.1, not 1.6.1.
  * debian/patches/04-ifupdown-support-dns-search-entries.patch
    - Support dns-search entries in /etc/network/interfaces as used by
      resolvconf and openresolv. (Closes: #651447)
      Patch cherry-picked from upstream Git.
  * Add Recommends on crda to apply regulatory domain settings for wireless
    devices. (Closes: #653706)

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Jan 2012 13:16:32 +0100

network-manager (0.9.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/04-dont-update-routing-and-dns-for-unmanaged-devices.patch
    - Removed, applied upstream.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Nov 2011 05:50:39 +0100

network-manager (0.9.1.95-1) unstable; urgency=low

  * New upstream release (0.9.2 rc1).
    - Fix connection sharing with newer iptables versions. (Closes: #638995)
    - Fix handling of numeric SSIDs in the keyfile plugin. (Closes: #642912)
  * debian/watch: Track .xz tarballs.
  * debian/libnm-util2.symbols: Add new symbols for libnm-util.
  * debian/patches/04-dont-update-routing-and-dns-for-unmanaged-devices.patch
    - Avoid blowing away existing routes and resolv.conf if NM never managed
      any devices. (Closes: #546893, #624159, #637005, #641904)
  * debian/control: Add Build-Depends on libglib2.0-doc for proper
    cross-references in the gtk-doc API documentation.
  * Enable default hardening options from dpkg-buildflags.
    - Use buildflags.mk snippet in debian/rules.
    - Add Build-Depends on dpkg-dev (>= 1.6.1).

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Nov 2011 21:32:50 +0100

network-manager (0.9.0-2) unstable; urgency=low

  * Add Breaks against network-manager-openconnect (<< 0.9) and
    plasma-widget-networkmanagement (<< 0.9~) to avoid partial upgrades.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Sep 2011 02:29:40 +0200

network-manager (0.9.0-1) experimental; urgency=low

  * New upstream release.
    - Properly enforce PolicyKit settings controlling the permissions to
      configure wireless network sharing. (CVE-2011-2176, Closes: #631520)
  * Update symbols files.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Aug 2011 00:40:48 +0200

network-manager (0.8.9997-1) experimental; urgency=low

  * New upstream release (0.9 rc3).
    - Correctly pass iface parameter to dispatcher scripts. (Closes: #627610)
  * Update debian/libnm-glib4.symbols and debian/libnm-util2.symbols for new
    API additions.
  * debian/network-manager-dispatcher.script
    - Handle dhcp4-change and dhcp6-change events (by doing nothing). This
      prevents the 01ifupdown dispatcher script from logging an error on DHCP
      lease changes. (Closes: #628154)

 -- Michael Biebl <biebl@debian.org>  Sun, 29 May 2011 21:54:09 +0200

network-manager (0.8.999-1) experimental; urgency=low

  * New upstream release (0.9 rc2).
  * Refresh debian/patches/03-systemd.patch.
  * Update debian/libnm-glib4.symbols and debian/libnm-util2.symbols.
  * Merge changes from unstable branch.
  * Update package descriptions.
  * Install NetworkManager-wait-online.service unit file but keep it disabled
    by default. This unit can be used to delay network.target until the
    network is actually up.

 -- Michael Biebl <biebl@debian.org>  Wed, 04 May 2011 22:56:20 +0200

network-manager (0.8.998-1) experimental; urgency=low

  * New major upstream release (0.9 rc1).
    - Support for fast user switching. (Closes: #563560)
    - API simplification. User settings have been merged into the core daemon,
      i.e. system connections by default. Secrets are provided by so called
      secret agents which can be either system wide or user specific (e.g. VPN
      passwords).
    - Support for WiMaX (currently disabled as the WiMaX SDK is not packaged
      yet).
   * debian/control
     - Bump Build-Depends on libglib2.0-dev to (>= 2.22).
     - Bump Build-Depends on libudev-dev to (>= 147).
     - Bump Breaks against other network-manager-* packages to avoid partial
       upgades.
     - Bump Depends on wpasuplicant to (>= 0.7.3-1) for the new wpasupplicant
       D-Bus interface.
     - Bump Standards-Version to 3.9.2. No further changes.
   * Refresh debian/patches/02-dbus_access_network_manager.patch.
   * SONAME bump for libnm-glib (2→4) and libnm-util (1→2).
     - Rename *.install and *.symbols files.
     - Update debian/control.
     - Update *.symbols files.
   * Update *.install files.
     - Drop static libraries from *-dev packages.
     - Install new header files for libnm-glib-dev.
     - Install network-manager gtk-doc documentation.
     - Drop keyfile plugin, it is now built into the core.
  * Enable gobject introspection support
    - Add Build-Depends on libgirepository1.0-dev (>= 0.9.12),
      gobject-introspection (>= 0.9.12-4~), gir1.2-glib-2.0 and
      gir1.2-freedesktop.
    - Add package gir1.2-networkmanager-1.0 containing the typelib files.
    - Add Depends on gir1.2-networkmanager-1.0 (= ${binary:Version}) to
      libnm-glib-dev and libnm-util-dev according to the new policy.
    - Install gir files in libnm-glib-dev.install and libnm-util-dev.install.
    - Call dh_girepository for libnm-glib4 and libnm-util2 in debian/rules.

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Apr 2011 06:49:57 +0200

network-manager (0.8.4.0-2) unstable; urgency=low

  * Update package descriptions.
  * debian/network-manager-dispatcher.script
    - Handle dhcp4-change and dhcp6-change events (by doing nothing). This
      prevents the 01ifupdown dispatcher script from logging an error on DHCP
      lease changes. (Closes: #628154)

 -- Michael Biebl <biebl@debian.org>  Sun, 29 May 2011 22:22:08 +0200

network-manager (0.8.4.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Apr 2011 11:05:42 +0200

network-manager (0.8.3.999-1) unstable; urgency=low

  * New upstream release (0.8.4 rc2).
  * Update debian/watch, switch to bzip2.
  * Use dh_installinit -R instead of -r and stopping manually in postinst.

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Apr 2011 23:06:53 +0200

network-manager (0.8.3.998-1) unstable; urgency=low

  * New upstream release (0.8.4 rc1).
    - Store connection timestamps for system connections in
      /var/lib/NetworkManager. (Closes: #612424)
    - Send hostname when using DHCP. (Closes: #561532)
  * Bump debhelper compatibility level to 8.
  * Remove patches (merged upstream)
    - d/p/40-umanaged-interfaces.patch
    - d/p/50-bridge-interfaces.patch
    - d/p/51-normalized-keys.patch
    - d/p/60-policy-stop-touching-etc-hosts.patch
    - d/p/70-install-nm-online.patch
    - d/p/80-keyfile-ignore-temporary-files.patch
    - d/p/81-keyfile-quiet-keyfile-plugin-when-re-read-connection.patch
    - d/p/82-core-handle-device-removal.patch
    - d/p/83-dnsmasq-send-no-config-file-instead-of-a-bogus-one.patch
  * Update debian/libnm-glib2.symbols and debian/libnm-util1.symbols.
  * Update debian/network-manager-dev.install, install nm-version.h.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Mar 2011 20:55:36 +0100

network-manager (0.8.2-6) unstable; urgency=medium

  * debian/patches/83-dnsmasq-send-no-config-file-instead-of-a-bogus-one.patch
    - Newer versions of dnsmasq validate the option parameters more strictly.
      Instead of passing a bogus file name simply use --conf-file without
      additional parameters. (Closes: #615082)
  * debian/control
    - Remove old Conflicts/Replaces which were required for upgrades to
      squeeze.
    - Bump Breaks against network-manager-gnome to (<< 0.8.2) to avoid
      partial upgrades which can lead to problems with user settings for
      ethernet connections. (Closes: #612291)
  * debian/ifblacklist_migrate.sh
    - Only comment out iface lines if we have an exact match for the network
      interface. (Closes: #612247)
  * debian/patches/51-normalized-keys.patch
    - Normalize keys in ifupdown parser, so we accept options with either
      hyphens or underscores, like e.g. bridge_ports and bridge-ports.
      (Closes: #609831)

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Mar 2011 20:59:46 +0100

network-manager (0.8.2-5) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Feb 2011 15:29:32 +0100

network-manager (0.8.2-4) experimental; urgency=low

  * Cherry-pick patch from upstream to correctly handle device removal when
    properties are unreadable. (Closes: #605570)

 -- Michael Biebl <biebl@debian.org>  Sat, 22 Jan 2011 16:59:37 +0100

network-manager (0.8.2-3) experimental; urgency=low

  * Cherry-pick two patches from upstream Git to make the keyfile plugin
    ignore temporary files and be more quiet when re-reading connections which
    have not changed.
  * Switch from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Bump Build-Depends on debhelper to (>= 7.0.50~) for override targets.
    - Convert debian/rules to use dh.
    - Add debian/network-manager.docs.
  * Enable systemd support
    - Install NetworkManager.service unit file in /lib/systemd/system.
    - Add --with-systemdsystemunitdir=/lib/systemd/system to configure flags.
    - Add debian/patches/03-systemd.patch containing Debian specific tweaks
      for the NetworkManager.service unit file.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Dec 2010 04:28:04 +0100

network-manager (0.8.2-2) experimental; urgency=low

  * Fix installation of nm-online.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Dec 2010 12:49:50 +0100

network-manager (0.8.2-1) experimental; urgency=low

  * New upstream release.
    - Set timestamp for system connections. (Closes: #509817)
  * Remove patches, merged upstream
    - debian/patches/10-dont_require_ifup_for_lo.patch
    - debian/patches/30-typo_fix.patch
  * debian/libnm-{glib2,util1}.symbols
    - Update symbols files for new API additions.
  * Make sure gtk-doc API documentation is built
    - Add Build-Depends on gtk-doc-tools.
    - Add --with-docs configure option.
  * debian/network-manager.preinst
    - Remove pre-lenny conffile upgrade code.
  * debian/network-manager.{install,manpages}
    - Install nm-online binary and man page.
  * debian/patches/02-dbus_access_network_manager.patch
    - Update policy for group netdev based on upstream changes for at_console.
  * debian/patches/60-policy-stop-touching-etc-hosts.patch
    - Stop touching /etc/hosts. Rely on the debian installer to setup
      /etc/hosts so the hostname is resolvable. Patch cherry-picked from
      upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Dec 2010 06:47:11 +0100

network-manager (0.8.1-6) unstable; urgency=low

  * debian/patches/40-umanaged-interfaces.patch
    - For devices to be marked unmanaged, do not require a valid connection
      configuration. (Closes: #569215)
  * debian/patches/50-bridge-interfaces.patch
    - Parse bridge configurations in /etc/network/interfaces and add
      interfaces defined via bridge_ports to well_known_interfaces. This
      allows to mark those interfaces as unmanaged if managed=false.
      The "all" keyword and regexes are not supported and simply skipped.
      (Closes: #530335)

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Dec 2010 17:11:13 +0100

network-manager (0.8.1-5) unstable; urgency=low

  * Update Vcs-* fields: Move packaging from svn to git.
  * Don't try the interfaces migration if /etc/network/interfaces does not
    exist. This avoids a failure on remove. (Closes: #605360)

 -- Michael Biebl <biebl@debian.org>  Mon, 29 Nov 2010 15:06:21 +0100

network-manager (0.8.1-4) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Integrate debian/ifblacklist_migrate.sh from Ubuntu and install
    it in /usr/lib/NetworkManager. Improve it to disable the interfaces
    with a #NetworkManager# prefix and re-enable them when the package is
    removed. (Closes: #530024)

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 23:28:19 +0100

network-manager (0.8.1-3) unstable; urgency=low

  * debian/control
    - Drop Recommends: network-manager-gnome | network-manager-kde, as this
      can have unwanted side-effects, like GNOME packages being installed on
      a KDE desktop. Instead let the desktop meta packages depend on their
      preferred frontend. (Closes: #596233)
    - Add Breaks: ppp (<< 2.4.5) to avoid partial upgrades. (Closes: #592444)
  * debian/network-manager.README.Debian
    - Add a section briefly explaining system settings and add references to
      the online documentation and the system settings spec. (Closes: #594849)
  * debian/patches/30-typo_fix.patch
    - Fix a small typo in README, and while at it, in other files too.
      Thanks Christian Perrier for spotting it. (Closes: #594850)

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Sep 2010 03:31:48 +0200

network-manager (0.8.1-2) unstable; urgency=medium

  * Move configuration file /etc/NetworkManager/nm-system-settings.conf to
    /etc/NetworkManager/NetworkManager.conf. Update maintainer scripts to move
    the conffile without triggering a dpkg prompt.
  * debian/network-manager.postrm
    - Don't fail on purge if /var/lib/NetworkManager directory does not exist.
      (Closes: #591861)
  * debian/patches/10-dont_require_ifup_for_lo.patch
    - Don't require ifup for enabling the loopback interface but use it if
      installed. Patch cherry-picked from upstream Git.
  * debian/control
    - Drop dependency on ifupdown as we have a fallback now for enabling the
      loopback interface. (Closes: #580309)

 -- Michael Biebl <biebl@debian.org>  Fri, 06 Aug 2010 04:19:38 +0200

network-manager (0.8.1-1) unstable; urgency=low

  * New upstream release. (Closes: #590139)
  * debian/patches/30-fix_paths_for_isc_dhcp_v4.patch
    - Remove, merged upstream.
  * Build against ppp 2.4.5. (Closes: #589791)
    - Bump Build-Depends on ppp to (>= 2.4.5).
    - Bump Recommends on ppp to (>= 2.4.5).
    - Drop --with-pppd-plugin-dir configure option and use upstream default.
  * debian/network-manager.postrm
    - Clean up /var/lib/NetworkManager on purge. (Closes: #584854)
  * debian/control
    - Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Jul 2010 02:26:59 +0200

network-manager (0.8.0.999-1) unstable; urgency=low

  * New upstream release (0.8.1 rc1). (Closes: #582822)
    - Bluetooth Dial-Up Networking support.
    - Command line interface via nmcli.
    - IPv6 DHCP support.
    - Correctly reset state after a failed suspend/resume cycle.
      (Closes: #566891)
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * debian/libnm-{glib2,util1}.symbols
    - Update symbols files for new API additions.
  * debian/network-manager.{install,manpages}
    - Install nmcli binary and man page.
  * debian/libnm-{glib,util}-dev.install
    - Install gtk-doc API documentation for libnm-glib and libnm-util.
    - Install nm-dhcp6-config.h for libnm-glib.
  * debian/control
    - Add Depends on libdbus-glib-1-dev for libnm-util-dev.
    - Bump Standards-Version to 3.9.0. No further changes.
    - Update Depends on dhcp3-client to isc-dhcp-client (>= 4.1.1-P1-4) to get
      DHCPv6 support.
  * debian/patches/30-fix_paths_for_isc_dhcp_v4.patch
    - Update dhclient.conf and lease directory path for isc-dhcp-client.
      (Closes: #587473)
  * debian/libnm-glib-{vpn-}dev.links
    - Stop installing compat symlinks for the pkg-config files.
      (Closes: #569187)
  * debian/rules
    - Set --with-pppd-plugin-dir configure option to /usr/lib/pppd/2.4.4.
      The upstream default is 2.4.5 now but Debian still only has ppp 2.4.4.
    - Set --with-dhclient configure option to /sbin/dhclient.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Jul 2010 17:01:53 +0200

network-manager (0.8-1) unstable; urgency=low

  * New upstream release.
    - ifupdown: don't export connections until "managed" state is checked.
      (Closes: #568287)
  * Remove patches, all merged upstream
    - debian/patches/03-hostname-fallback.patch
    - debian/patches/04-etc-hosts-rewrite.patch
    - debian/patches/05-ifupdown-allow-hotplug-autoconnect.patch
  * debian/network-manager-dispatcher.script
    - Map NetworkManager down event to ifupdown post-down phase.
      (Closes: #562811)
    - Map vpn-up/vpn-down event to ifupdown post-up/post-down phase.
      (Closes: #518530)
    - Comment out pre-up/pre-down events as they are not supported upstream.
    - Add hostname event but don't hook it up with a particular action.

 -- Michael Biebl <biebl@debian.org>  Mon, 22 Feb 2010 00:31:22 +0100

network-manager (0.7.999-3) unstable; urgency=low

  * debian/patches/03-hostname-fallback.patch
    - If dhcp does not return a valid hostname and none of the system settings
      plugins provides a hostname, fallback to the hostname that was set when
      NetworkManager was started. Patch pulled from upstream Git.
      (Closes: #567207)
  * debian/patches/04-etc-hosts-rewrite.patch
    - Be more selective when adding hostname to /etc/hosts.
      Patch pulled from upstream Git. (Closes: #567411)
  * debian/patches/05-ifupdown-allow-hotplug-autoconnect.patch
    - Set autoconnect=true for devices marked as allow-hotplug in
      /etc/network/interfaces. (Closes: #568784)
  * debian/control
    - Remove Riccardo from Uploaders with Riccardo's consent.
    - Bump Breaks for network-manager-kde to (<< 1:0.9~~). The KDE3 version no
      longer works correctly with this version of network-manager.
    - Bump Standards-Version to 3.8.4. No further changes.
  * debian/network-manager.init
    - Don't use "set -e".
    - Print meaningful messages on start and stop in case the daemon is already
      running resp. already stopped.

 -- Michael Biebl <biebl@debian.org>  Mon, 08 Feb 2010 17:27:54 +0100

network-manager (0.7.999-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Jan 2010 17:03:35 +0100

network-manager (0.7.999-1) experimental; urgency=low

  * New upstream release (0.8 rc3). (Closes: #553320)
    - Much improved bluetooth support.
    - Support for IPv6.
    - Port to PolicyKit 1. (Closes: #549502)
    - Drop hal dependency, use udev directly.
    - Use ModemManager for better mobile broadband.
  * debian/rules
    - Don't ship empty TODO file. (Closes: #558471)
    - Specify the path to the iptables binary.
  * Update *.install, *.symbols and debian/control for library soname changes:
    libnm-glib0 → libnm-glib2 and libnm-glib-vpn0 → libnm-glib-vpn1.
  * debian/network-manager.install
    - Remove nm-system-settings files.
    - Install PolicyKit files to new location.
    - Remove udev modem prober.
  * debian/libnm-glib-{vpn-}dev.links
    - The name of the pkg-config files has changed ('_' → '-'). Create compat
      symlinks so existing configure scripts keep working, allowing for a
      smoother transition to the new library names.
  * debian/control
    - Wrap dependencies.
    - Drop Build-Depends on libhal-dev and libpolkit-dbus-dev.
    - Add Build-Depends on libdbus-1-dev (>= 1.1), libpolkit-gobject-1-dev and
      libgudev-1.0-dev.
    - Bump Build-Depends on libglib2.0-dev to (>= 2.18).
    - Replace hal Depends with udev.
    - Replace policykit Recommends with policykit-1.
    - Add Recommends on modemmanager which is required for mobile broadband
      support.
    - Update package description: policykit → policykit-1.
    - Add -dbg package. (Closes: #380626)
  * debian/network-manager.init
    - Update LSB header: Replace hal dependency with udev.
    - The nm-system-settings daemon has been merged into the NetworkManager
      daemon, so we no longer need to kill nm-system-settings on "stop".
  * debian/network-manager.preinst
    - Remove the obsolete conffile
      /etc/dbus-1/system.d/nm-system-settings.conf on upgrades.
  * network-manager.postinst
    - Kill any running nm-system-settings daemon on upgrades before the new
      NetworkManager daemon is started. Its functionality has been merged
      into NetworkManager.

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Jan 2010 01:53:46 +0100

network-manager (0.7.2-2) unstable; urgency=low

  * debian/rules
    - Disable -Werror (more-warnings) for now as it causes build failures on
      sparc.

 -- Michael Biebl <biebl@debian.org>  Fri, 27 Nov 2009 07:26:23 +0100

network-manager (0.7.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes segfault of nm-system-settings for empty SSIDs. (Closes: #531605)
    - Fixes build failures with binutils-gold. (Closes: #555770)
    - Adds support for GTC (WPA2 Enterprise/PEAP). (Closes: #543454)
  * debian/patches/02-dbus_access_network_manager.patch
    - Update group="netdev" policy based on the upstream changes for
      at_console. The updated D-Bus policy also fixes communication failures
      between pppd and NetworkManager. (Closes: #555624)
  * Drop patches that have been merged upstream
    - debian/patches/04-struct_termios.patch
    - debian/patches/05-handle-new-ssb-bus-from-HAL-0.5.13.patch
  * debian/libnm-util1.symbols
    - Add new symbol nm_setting_wireless_security_get_wep_key_type.
  * debian/control
    - Bump Standards-Version to 3.8.3. No further changes.
  * debian/network-manager.install
    - Make sure we install all udev rules files.
  * debian/network-manager.init
    - Kill the D-Bus activated nm-system-settings daemon on "stop". Update
      README.Debian accordingly.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Nov 2009 00:12:29 +0100

network-manager (0.7.1-2) unstable; urgency=low

  [ Michael Biebl ]
  * debian/control
    - Add Build-Depends on libudev-dev. This allows to query udev for modem
      capabilities without having to spawn udevadm.
  * debian/patches/05-handle-new-ssb-bus-from-HAL-0.5.13.patch
    - HAL 0.5.13 added support for the ssb bus type which is internally used
      on most Broadcom ethernet and wifi chipsets. Update NM to detect the
      driver for the changed device layout. (Closes: #540613)
      Patch backported from upstream git.
  * debian/network-manager.init
    - Update LSB header. Provide the "network-manager" facility instead of
      "NetworkManager" as gdm is depending on the former and to be more in
      line with the recommended practice to name the Provides like the init
      script itself. (Closes: #539753)

  [ Sjoerd Simons ]
  * debian/control
    - Add libnm-util-dev to the depends of libnm-glib-dev. (Closes: #539888)

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Aug 2009 23:47:01 +0200

network-manager (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Use set -e instead of #!/bin/sh -e for all maintainer scripts.
  * debian/patches/04-struct_termios.patch
    - Fix FTBFS on alpha by using the POSIX.1 struct termios interface instead
      of the obsolete struct termio ioctl interface. (Closes: #524161)

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Apr 2009 00:47:03 +0200

network-manager (0.7.0.100-1) unstable; urgency=low

  * New upstream release (0.7.1 rc4).
  * debian/network-manager.install
    - Install modem prober udev rules file into /lib/udev/rules.d.
  * debian/network-manager.preinst
    - Remove obsolete conffile
      /etc/udev/rules.d/77-nm-probe-modem-capabilities.rules.
    - Move the old pid file from /var/run/NetworkManager to /var/run on
      upgrades so the daemon can be stopped correctly in postinst and the
      obsolete run directory is removed automatically.
  * debian/network-manager.dirs
    - Do no longer install the /var/run/NetworkManager directory.
  * debian/network-manager.init
    - Store the NetworkManager pid file directly in /var/run.
  * debian/control
    - Bump Standards-Version to 3.8.1. See the changes above wrt the /var/run
      directory.
  * debian/patches/02-dbus_access_network_manager.patch
    - Remove haldaemon section, obsolete.

 -- Michael Biebl <biebl@debian.org>  Wed, 08 Apr 2009 07:06:19 +0200

network-manager (0.7.0.99-1) unstable; urgency=low

  * New upstream release (0.7.1 rc3).
    - Fix FTBFS for older GCC versions. (Closes: #517520)
    - Fix crash for wireless-ssid setting in ifupdown plugin which also caused
      hostname to be set incorrectly. (Closes: #513852)
    - Handle unsupported format for wifi keys in ifupdown plugin.
      (Closes: #513874)
  * debian/network-manager.install
    - Install modem prober and corresponding udev rules file.
  * debian/control
    - Add Recommends on dnsmasq-base and iptables which are required for
      creating Ad-hoc connections and connection sharing. (Closes: #513151)
    - Document optional dependencies, like avahi-autoipd or policykit, in the
      package description. (Closes: #504455)
  * debian/rules
    - Update stop priorities for 0 1 6 from K14 to K88.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Mar 2009 13:21:13 +0100

network-manager (0.7.0.97-1) unstable; urgency=low

  * New upstream release.
    - Update 02-dbus_access_network_manager.patch for the latest upstream
      changes which fixes non-deterministic allow/deny for D-Bus messages with
      no interface. (Closes: #510729)
    - Disable 03-F3507g.patch for now, patch no longer applies and should be
      replaced by ModemManager anyway.
    - Remove 04-ltversioning.patch, merged upstream.
    - Remove 05-dhclient_lease_files.patch, merged upstream.
  * Merge experimental branch into unstable. Remaining changes:
    - Remove 07-domain_search.patch, merged upstream.
    - Remove 08-hal_deprecated_keys.patch, fixed upstream.
    - Remove 09-nm_dbus_get_ap_from_object_path-mem_leak_fix.patch, obsolete.
    - Disable 20-manual_means_always_online.patch, needs to be ported to 0.7.
    - Drop libdbus-glib-1-dev Depends from libnm-util-dev.
  * debian/control 
    - Add ${misc:Depends} to all binary packages.
    - Let network-manager depend on dhcp3-client directly, as the dependency
      on dhcdbd has been removed. (Closes: #509655)
    - Wrap Build-Depends.
    - Bump Build-Depends on debhelper to (>= 7).
  * debian/compat
    - Bump debhelper compat level to 7.
  * debian/rules
    - Include debhelper.mk before any other files as recommended by the cdbs
      documentation.
  * Update symbols file for libnm-util and libnm-glib due to API additions.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Feb 2009 22:47:20 +0100

network-manager (0.7.0-1) experimental; urgency=low

  * New upstream release. (Closes: #446098)
    - Allow connections before login (system connections). (Closes: #461831)
    - Storing system connections via PolicyKit is working. (Closes: #504443)
    - The nm-vpn-properties tool has been obsoleted by nm-connection-editor
      from the network-manager-gnome package and thus removed from the
      tarball. (Closes: #497108)
    - Removed dependency on dhcdbd. (Closes: #478469)
    - Improved communication between NM and wpasupplicant (over D-Bus) for
      faster wireless connections. (Closes: #385647)

  [ Sjoerd Simons ]
  * debian/libnm-util0.symbols: Updated
  * debian/libnm-glib0.symbols: Updated
  * debian/patches/03-F3507g.patch
    - Added. Fix gsm support for Ericsson F3507g Mobile Broadband cards
  * debian/control: Recommend ppp (Closes: #507842)

  [ Michael Biebl ]
  * debian/patches/04-ltversioning.patch
    - Bump soname of libnm-util due to an ABI break between 0.6.6 and 0.7.
      (Closes: #503682)
  * Update control, install and symbols file for the new libnm-util library
    name (libnm-util0 -> libnm-util1).
  * debian/control
    - Add Conflicts/Replaces: network-manager-pptp (<< 0.7~~) as the pppd
      plugin is now shipped by this package.
    - Add Breaks (<< 0.7~~) for the network-manager-* packages as the 0.6
      versions of those packages do not work with network-manager 0.7.
  * debian/patches/05-dhclient_lease_files.patch
    - Change the location of the dhclient lease files to /var/lib/dhcp3.
  * debian/network-manager.README.Debian
    - Merge README.Debian from Ubuntu which describes the new
      managed/unmanaged modes.
  * debian/nm-system-settings.conf
    - Set default mode to unmanaged.
  * debian/copyright
    - Revised and updated. libnm-glib and libnm-util are licensed under the
      LGPL v2 or later.

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Dec 2008 09:56:14 +0100

network-manager (0.7.0~svn4191-1) experimental; urgency=low

  * SVN snapshot of the upcoming 0.7 release.

  [ Sjoerd Simons ]
  * Split out libnm-glib-vpn from libnm-glib
  * debian/rules: Use list-missing

  [ Michael Biebl ]
  * Drop obsolete patches
    - debian/patches/01-supplicant_timeout.patch (obsolete)
    - debian/patches/05-debian_backend.patch (obsolete, relevant changes
      merged upstream)
    - debian/patches/06-dispatch_more_events.patch (no longer applies)
    - debian/patches/07-domain_search.patch (merged upstream)
    - debian/patches/08-hal_deprecated_keys.patch( merged upstream)
    - debian/patches/13-validate_mac_addr.patch (merged upstream)
  * debian/patches/02-dbus_access_network_manager.patch
    - Updated for 0.7.
  * debian/control:
    - Add Build-Depends on uuid-dev, libgnutls-dev, libpolkit-dbus-dev,
      ppp-dev and quilt.
    - Drop Build-Depends on libgnome-keyring-dev, libgnomeui-dev,
      libglade2-dev, libgconf2-dev, libnotify-dev, docbook-to-man and iproute.
    - Bump Build-Depends on libdbus-glib-1-dev to (>= 0.75).
    - Drop Depends on dhcdbd (dhcdbd is dead) and iproute.
    - Bump Depends on lsb-base to (>= 3.2-14) which provides status_of_proc().
    - Bump Depends on dbus to (>= 1.1.2) for system bus activation support.
    - Add Recommends on policykit, which is required if you want to manage
      system connections.
    - Add Suggests avahi-autoipd for IPv4LL support.
  * Switch to quilt patch management system.
  * debian/rules:
    - Set libexecdir to /usr/lib/NetworkManager, so NetworkManager can
      automatically find the VPN plugins. 
    - Add support for resolvconf.
    - Enable GnuTLS crypto support.
    - Remove nm-vpn-properties bits.
  * debian/nm-vpn-properties.sgml: Dropped, obsolete
  * debian/copyright: Revised and updated
  * debian/network-manager.postrm: Relevant code moved to preinst
  * debian/network-manager.preinst:
    - Stop old network-manager-dispatcher on upgrades and remove the init
      script and the start symlinks.
  * debian/network-manager.network-manager-dispatcher.init:
    - Dropped, obsolete. (Closes: #500085)
      The dispatcher functionality is now provided by a D-Bus activated system
      service which is started on demand.
  * debian/network-manager.init
    - Remove dhdbd from Required-Start and Required-Stop in the LSB header.
    - Remove check for /sbin/ip.
    - Add "status" action.
  * debian/*.install: Updated
  * debian/*.symbols:
    - Add symbols files for all libraries for improved shlibs handling.
  * debian/nm-system-settings.conf:
    - Ship a default configuration for the system settings service. Enable the
      ifupdown (legacy ro support) and keyfile (rw) plugin.

  [ Sjoerd Simons ]
  * Update the various symbols files
  * Update to current svn

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 18 Oct 2008 21:28:05 +0100

network-manager (0.6.6-3) unstable; urgency=low

  * debian/network-manager.network-manager-dispatcher.init 
    - NetworkManagerDispatcher uses the D-Bus system bus. Update the LSB
      header accordingly to avoid breakages with insserv based systems.
      (Closes: #500085)
  * debian/patches/20-manual_means_always_online.patch
    - manual-means-online: If there are interfaces that are not managed by
      NetworkManager because they have custom configuration in
      /etc/network/interfaces, we assume to be online. This is obviously not
      always correct. But reporting offline state for unmanaged devices is
      causing major hassles as more and more apps rely on NM and go into
      offline mode otherwise, even if there is a connection (established via
      ifupdown). (Closes: #491826, #502371, #509006, #509829, #511712)

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Jan 2009 09:29:03 +0100

network-manager (0.6.6-2) unstable; urgency=low

  * debian/control
    - Add Build-Depends on pkg-config.
    - Drop obsolete Depends on iputils-arping. (Closes: #487794)
  * debian/patches/09-nm_dbus_get_ap_from_object_path-mem_leak_fix.patch 
    - Fix memory leak in src/nm-dbus-net.c. (Closes: #488604)

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Jul 2008 15:11:33 +0200

network-manager (0.6.6-1) unstable; urgency=low

  * New upstream release. (Closes: #470197)
    - Ensure dbus errors are properly initialised. (Closes: #471317)
  * Removed patches
    - debian/patches/04-if_fix.patch (obsolete)
    - debian/patches/11-man_page_sh_name.patch (merged upstream)
    - debian/patches/12_readme_format.patch (merged upstream)
    - debian/patches/20-stable_branch_updates_r2652.patch (applied upstream)
    - debian/patches/21-endianess_fix_r2754.patch (applied upstream)
    - debian/patches/22-fix_vpn_ftbfs_dont_disable_gnome_deprecated.patch
      (merged upstream)
    - debian/patches/23-rfkill_return_type.patch (fixed upstream)
    - debian/patches/24-get_mode_fix_r3122.patch (applied upstream)
    - debian/patches/25-libnl_unique_pid_r3155.patch (applied upstream)
    - debian/patches/26-libnl_1.0-pre8_r3206.patch (applied upstream)
    - debian/patches/27-dont_repeat_errors.patch (applied upstream)
  * debian/patches/07-domain_search.patch
    - Add support for DHCP domain-search option. (Closes: #465158)
      Thanks to Bas Zoetekouw for the patch.
  * debian/patches/08-hal_deprecated_keys.patch
    - Add support for the "net.originating_device" key, which has replaced
      the deprecated "net.physical_device" key in newer HAL versions.
  * debian/patches/06-dispatch_more_events.patch
    - NetworkManagerDispatcher.1.in has been renamed to
      NetworkManagerDispatcher.8.in. Update the patch accordingly.
  * debian/network-manager.manpages
    - The NetworkManager and NetworkManagerDispatcher man pages have been
      moved to section 8.
  * debian/control
    - The pkg-config files have been fixed upstream and unnecessary
      dependencies were removed. Update Depends: for libnm-glib-dev and
      libnm-util-dev accordingly. (Closes: #469195)
  * debian/rules, debian/network-manager.postinst
    - Minimize downtime during upgrades. (Closes: #432322)
      Restart the service in postinst instead of stop in prerm and start in
      postinst.

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Apr 2008 02:37:16 +0200

network-manager (0.6.5-5) unstable; urgency=low

  * Rebuild against libnl1. (Closes: #461922)
  * debian/patches/24-get_mode_fix_r3122.patch
    - Pull r3122 from upstream stable branch.
    - Fix getting mode of device.
  * debian/patches/25-libnl_unique_pid_r3155.patch
    - Pull r3155 from stable branch.
    - Ensures that the netlink pid is unique.
  * debian/patches/26-libnl_1.0-pre8_r3206.patch
    - Pull r3206 from upstream stable branch.
    - Replaces 24-libnl1-pre8_fix.patch, which has been removed.
    - Fixes a FTBFS on architectures using SIGTRAP in G_BREAKPOINT().
      (Closes: #459740)
  * debian/patches/13-validate_mac_addr.patch
    - Drop APs with an invalid MAC address. (Closes: #461500)
      Thanks to Sjoerd Simons for the patch.
  * debian/patches/27-dont_repeat_errors.patch
    - Backported r3160 from upstream stable branch.
    - Don't repeat killswitch errors too often. (Closes: #456363)
  * debian/network-manager.init,
    debian/network-manager.network-manager-dispatcher.init
    - Fix LSB init header. Use $remote_fs instead of $local_fs as the
      daemon requires /usr to be mounted. 
      Remove S from Should-Stop. (Closes: #459480)
    - Shorten retry-time to 5 secs on stop.
    - Don't fail to start if daemon is already running.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Jan 2008 00:11:47 +0100

network-manager (0.6.5-4) unstable; urgency=low

  * debian/control
    - The Vcs-* fields are now officially supported, so remove the XS- prefix.
    - Bump Build-Depends on libnl-dev to (>= 1.0~pre8).
  * debian/patches/24-libnl1-pre8_fix.patch
    - Backport support for libnl 1.0-pre8 from upstream SVN.
  * debian/network-manager.dirs
    - Add /var/run/NetworkManager.
  * debian/network-manager-dispatcher.script
    - Set PHASE="post-up" for scripts in if-up.d and PHASE="pre-down" for
      scripts in if-down.d to be compliant with ifupdown. (Closes: #452371)
  * debian/patches/12_readme_format.patch
    - Fix line break in README file. (Closes: #444038)

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Dec 2007 16:51:00 +0100

network-manager (0.6.5-3) unstable; urgency=low

  * debian/patches/23-rfkill_return_type.patch
    - The return type of the GetPower() method from Device.Killswitch has 
      changed from UINT32 to INT32 in hal-0.5.10. Fix the code accordingly.

 -- Michael Biebl <biebl@debian.org>  Mon, 22 Oct 2007 17:05:44 +0200

network-manager (0.6.5-2) unstable; urgency=low

  * debian/patches/21-endianess_fix_r2754.patch
    - Fixes a problem with ASCII passphrases on big-endian systems due to a missing
      config.h include. (Closes: 391364)
  * debian/network-manager.manpages
    - Install nm-vpn-properties manpage.
  * debian/control
    - Use the new "Homepage:" field to specify the upstream URL.
  * 22-fix_vpn_ftbfs_dont_disable_gnome_deprecated.patch
    - Patch from Ubuntu. Don't set the GNOME_DISABLE_DEPRECATED flag as
      nm-vpn-properties requires gnome druid which has been deprecated in 
      libgnomeui 2.20.

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Sep 2007 21:12:33 +0200

network-manager (0.6.5-1) unstable; urgency=low

  * New upstream release. (Closes: #420959, #431658)
    - Runs wpa_supplicant in less verbose mode. (Closes: #375302, #431562)
    - Adds support for LEAP and phase two authentication.
      (Closes: #420959, #402747)
  * Removed patches that were merged upstream
    - debian/patches/09_fix_bigendian_words.patch
    - debian/patches/12_dbus1.0.patch
    - debian/patches/13-wep_capabilities
  * debian/network-manager.preinst
    - Do not parse /var/lib/dpkg/status directly but use dpkg-query instead.
  * Rebased and updated patches for new release
    - debian/patches/11-man_page_sh_name.patch
    - debian/patches/05-debian_backend.patch
  * Upstream has split nm-applet into a separate package. This means we no
    longer build the network-manager-gnome binary package from this source
    package.
    - Removed files that are now part of the new nm-applet source package
      + debian/network-manager-gnome.README.Debian
      + debian/patches/10-po_fr.patch
      + debian/patches/14-po_de.patch
      + debian/patches/03-dbus_access_nm_applet.patch
      + debian/network-manager-gnome.manpages
      + debian/nm-applet.sgml
      + debian/network-manager.install
      + debian/network-manager-gnome.install
    - debian/control
      + Remove the binary package network-manager-gnome.
      + Add Conflicts/Replaces: network-manager-gnome (<< 0.6.5-1) as
        nm-vpn-properties is now part of the network-manager binary package.
      + Update Build-Depends. Add autotools-dev, libglib2.0-dev and iproute, 
        remove libpanel-applet2-dev.
    - debian/rules
      + Do not build the nm-applet.1 manpage anymore.
      + Exclude nm-vpn-properties from dh_shlibdeps. This is a temporary
        workaround until this binary has also been moved into the nm-applet
        source package.
    - debian/copyright
      + Remove the copyright notices for files which are now in the nm-applet
        source package.
  * debian/patches/20-stable_branch_updates_r2652.patch
    - Pull updates from the stable branch up until revision 2652.
    - Fixes broken link detection and a couple of smaller issues.
    - Adds support for the rfkill switch.
  * debian/patches/02-dbus_access_network_manager.patch
    - Add support for at_console dbus access check. (Closes: #426462)

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Aug 2007 00:39:16 +0200

network-manager (0.6.4-8) unstable; urgency=low

  * Install the NetworkManager and NetworkManagerDispatcher start scripts as
    regular SysV init scripts
    - Rename debian/network-manager.dbus-event to debian/network-manager.init
      and debian/network-manager-dispatcher.dbus-event to
      debian/network-manager.network-manager-dispatcher.init.
    - Add proper LSB headers to the init scripts.
    - debian/rules
      Call dh_installinit for network-manager and network-manager-dispatcher.
    - debian/network-manager.{preinst,postinst,postrm}
      Remove the old conffiles /etc/dbus-1/event.d/25NetworkManager and
      /etc/dbus-1/event.d/26NetworkManagerDispatcher or rename them to
      *.dpkg-bak if they were changed locally.   

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Apr 2007 22:30:22 +0200

network-manager (0.6.4-7) unstable; urgency=low

  * debian/control
    - Add Recommends: network-manager-gnome | network-manager-kde to
      network-manager.
    - Add Recommends: libpam-keyring to network-manager-gnome. This allows to
      unlock the gnome-keyring automatically upon login.
    - Add Recommends: network-manager-vpnc, network-manager-openvpn to
      network-manager-gnome. (Closes: #406241)
    - Add XS-Vcs-* fields.
    - Add Depends: gnome-icon-theme to network-manager-gnome, which fixes a
      problem with nm-applet failing to start because of missing icons.
      (Closes: #372466)
    - Change maintainer address to
      pkg-utopia-maintainers@lists.alioth.debian.org.
      Add Riccardo and myself to Uploaders.
  * debian/patches/12_dbus1.0.patch
    - Updated to unref rather than close the D-Bus connection.
  * debian/patches/13-wep_capabilities.patch
    - Correctly set the available WEP capabilities. (Closes: #411867)
      Thanks to Andy Whitcroft for the patch!
  * debian/network-manager-gnome.README.Debian
    - Add a README.Debian file for network-manager-gnome. (Closes: #414187)
  * debian/patches/14-po_de.patch
    - Added. Small fix for the German translation.
  * debian/patches/05-debian_backend.patch
    - Updated. Set status variable to return code of ifup/ifdown. 
      (Closes: #415642)
    - Only invalidate the nscd hosts cache when nscd is actually installed.
      (Closes: #402436)
    - Remove mDNSResponder restart from nm_system_restart_mdns_responder().
      mDNSResponder has been obsoleted by Avahi which does not need a restart.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Apr 2007 02:21:57 +0200

network-manager (0.6.4-6) unstable; urgency=medium

  * debian/patches/10-po_fr.patch
    - Added. Small fixes for the French translation. (Closes: #401060)
      Thanks to Cyril Brulebois.
  * debian/patches/12_dbus1.0.patch
    - Updated 12_dbus0.9.patch for D-Bus 1.0 to pass the correct flags to
      dbus_bus_request_name(). (Closes: #401039)
  * debian/patches/11-man_page_sh_name.patch
    - Add missing ".SH NAME" stanzas to man pages.
  * debian/network-manager-gnome.install
    - Install the nm-applet autostart file into /etc/xdg/autostart rather than
      /usr/share/gnome/autostart to be compliant to the fd.o autostart spec.
  * Urgency medium, as it fixes a FTBFS bug.

 -- Michael Biebl <biebl@debian.org>  Thu, 30 Nov 2006 21:30:47 +0100

network-manager (0.6.4-5) unstable; urgency=low

  * Small fix for the NetworkManagerDispatcher init script. 

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Oct 2006 11:00:34 +0200

network-manager (0.6.4-4) unstable; urgency=low

  * Correct typo in package description. (Closes: #390062)
  * debian/network-manager.postinst
    - Create group netdev if not yet existent. Add a Depends on adduser.
  * Add instructions to README.Debian how to restart NetworkManager after
    modifying /etc/network/interfaces. (Closes: 384892)
  * debian/patches/05-debian_backend.patch
    - Fix the parser for /etc/network/interfaces. (Closes: #383765)
    - Do not restart nscd on dns changes, only invalidate the hosts cache.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Oct 2006 20:18:18 +0200

network-manager (0.6.4-3) unstable; urgency=low

  * Changed adeprecated dbus function. (Closes: 385380)
    - Added 12_dbus0.9.patch.

 -- Riccardo Setti <giskard@debian.org>  Tue,  5 Sep 2006 19:48:00 +0200

network-manager (0.6.4-2) unstable; urgency=low

  * Ship the nm-tool binary. (Closes: #384891)

 -- Michael Biebl <biebl@teco.edu>  Tue, 15 Aug 2006 23:42:09 +0200

network-manager (0.6.4-1) unstable; urgency=low

  [ Riccardo Setti ]
  * New upstream release. (Closes: #379163)
    - Bumped hal deps to version 0.5.7.1. NM needs user haldaemon for dbus
    operations.
  * Allow interfaces marked "auto-hotplug" to be managed by NM.
    (Closes: #381017)
  * Added 09_fix_bigendian_words.patch which will fix the WPA+plain text pw
    auth method on powerpc (and on other bigendian archs). (Closes: #381464)

  [ Michael Biebl ]
  * Merged the patches 05-resolvconf.patch and 08-disabled_devices.patch into
    a single patch called 05-debian_backend.patch.
  * Updated 05-debian_backend.patch to not control mapped interfaces.
    (Closes: #377498)

 -- Michael Biebl <biebl@teco.edu>  Tue,  8 Aug 2006 01:51:13 +0200

network-manager (0.6.3-2) unstable; urgency=low

  * Updated 02-dbus_access_network_manager.patch to allow the hal daemon
    (running as user "hal") to send events about hotplugged devices to the
    NetworkManager daemon. (Closes: 355785)
  * Added a Recommends: notification-daemon to network-manager-gnome.
  * Improved the package description and the manpage of network-manager-gnome.
    (Closes: #362962)

 -- Michael Biebl <biebl@teco.edu>  Tue, 20 Jun 2006 23:22:11 +0200

network-manager (0.6.3-1) unstable; urgency=low

  * New upstream release.
    - Removed 07-libnm_glib_reconnect_dbus.patch, merged upstream.
    - Removed 09-nm_bad_mutex_free.patch, fixed upstream.
    - Removed 10-interface_parser_fixes.patch, merged upstream.
    - Removed 11-carrier_detection.patch, merged upstream.
  * Added a watch file.
  * Added homepage URL to package description.

 -- Michael Biebl <biebl@teco.edu>  Thu,  8 Jun 2006 16:21:43 +0200

network-manager (0.6.2-3) unstable; urgency=low

  * Ship the NEWS.Debian file only for the network-manager package.
    (Closes: #367063)
  * Added 11-carrier_detection.patch to support network cards which can't do
    carrier detection. (Closes: #366373) 

 -- Michael Biebl <biebl@teco.edu>  Tue, 16 May 2006 00:16:43 +0200

network-manager (0.6.2-2) unstable; urgency=low

  * More integration work. (Closes: #355244)
    - Added network-manager-dispatcher.script and
      06-dispatch_more_events.patch.
      This way the scripts in /etc/networks/if-*.d/ are called properly by
      NetworkManagerDispatcher.
      Thanks to the Ubuntu devs for this work!
    - Added 08-disabled_devices.patch. Network interfaces listed in
      /etc/network/interfaces which are not configured "auto" and "dhcp" are
      not handled by NM. This makes it possible to configure interfaces 
      statically and have NM not messing with them. 
      Updated README.Debian to reflect these changes.
    - Added 09-nm_bad_mutex_free.patch. Otherwise NM crashes if a device is
      disabled.
  * Added 07-libnm_glib_reconnect_dbus.patch which makes libnm_glib sleep 
    between unsuccessful connection attempts to dbus. (Closes: #366010)
  * Bumped Standards-Version to 3.7.2, no further changes required.
  * Removed *.la files from the dev packages as we also ship pkg-config files
    which are a better alternative.
  * Added 10-interface_parser_fixes.patch which fixes several problems with
    the /etc/network/interfaces parser. (Closes: #355564)

 -- Michael Biebl <biebl@teco.edu>  Fri,  5 May 2006 18:01:47 +0200

network-manager (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Updated if_fix.patch, parts of it have been fixed upstream.
  * Renamed patches to use a more consistent naming scheme.
  * Depend on dhcbd (>= 1.12-2) because NM 0.6.2 does not start dhcdbd itself
    anymore.
  * The wpa_supplicant binary was moved from /usr/sbin to /sbin. Updated
    debian/rules accordingly.
  * Added dependency on hal (Closes: #356622)
  * Added autostart file to network-manager-gnome. This way nm-applet is
    started automatically on login.

 -- Michael Biebl <biebl@teco.edu>  Sun,  2 Apr 2006 19:48:28 +0200

network-manager (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Added myself to uploaders.
  * Added a dependency on dbus.

 -- Michael Biebl <biebl@teco.edu>  Tue, 14 Mar 2006 15:48:41 +0100

network-manager (0.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #355246)
    - most of the work is taken from the experimental branch of NM.
      Thanks goes to  Michael Biebl.
    - Added NetworkManagerDebian.patch which introduce supports for resolvconf
  * switched to debhelper5.
  * added libnl-util0, libnl-util-dev packages.
    - added debian/libnl-util0.install , debian/libnl-util-dev.install
  * removed debian/dirs as it was useless.
  * added a dependency on wpasupplicant as it's necessary for all encrypted
    connections.

 -- Riccardo Setti <giskard@autistici.org>  Thu,  9 Mar 2006 15:38:01 +0100

network-manager (0.5.1-3) unstable; urgency=low

  * improved debian/copyright . I hope this time it will be 
    good enough to pass the ftp-master check. Thanks to Joerg Jaspert who
    has pointed me to the problem.

 -- Riccardo Setti <giskard@autistici.org>  Sun, 26 Feb 2006 21:57:29 +0100

network-manager (0.5.1-2) unstable; urgency=low

  * improved manpages.
    - added nm-vpn-properties, nm-applet manpages
    - added debian/network-manager-gnome.manpages
    - modifyed NetworManager*.sgml for reflect the correct website.
  * added nm-vpn-properties.desktop, nm-logo.xpm
  * added dbus_access_network_manager and dbus_access_nm_applet patches:
    - switched to group netdev
    - updated the dep on dhcdbd
    - removed debian/network-manager.dbus-conf debian/nm-applet.conf
  * removed network-manager.doc as it was empty. 
  * uploaded to unstable.

 -- Riccardo Setti <giskard@autistici.org>  Thu,  9 Feb 2006 10:18:13 +0100

network-manager (0.5.1-1) experimental; urgency=low

  * renamed 25NetworkManagerDispatcher in 26NetworkManagerDispatcher because
    first we need to start NetworkManager and then NetworkManagerDispatcher 
  * added networkmanger and networkmanaferdispatcher manpages. 
  * Inital upload to Debian (Closes: #270538)
  * work based on the ubuntu package
  * Added 01.patch and 02.patch for fix the problem with recent linux 
    kernel-headers
 
 -- Riccardo Setti <giskard@autistici.org>  Mon, 5 Jan 2006 17:09:29 +0100

network-manager (0.5.1-0ubuntu6) dapper; urgency=low

  * Really don't depend on bind9 being installed

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 26 Dec 2005 00:40:29 +0000

network-manager (0.5.1-0ubuntu5) dapper; urgency=low

  * debian/control:
    - Version dep on dhcdbd to (>= 1.10-0ubuntu2).

 -- Christian Bjälevik <nafallo@ubuntu.com>  Wed, 21 Dec 2005 19:08:53 +0100

network-manager (0.5.1-0ubuntu4) dapper; urgency=low

  * debian/control:
    - Version all accurances of libdbus-glib-1-dev to (>= 0.60).
    - Removed not needed Build-Dep on libxdcmp-dev, this is a dep
      of libx11-dev now.
  * debian/patches/01-STOLEN_FROM_HEAD-dbus-60:
    - Add a patch from CVS HEAD to fix FTBFS.
      No patchsystem, only applied it.

 -- Christian Bjälevik <nafallo@ubuntu.com>  Wed, 21 Dec 2005 14:22:34 +0100

network-manager (0.5.1-0ubuntu3) dapper; urgency=low

  * debian/control:
    - Changed versioned dep on wireless-tools to >= 28pre9
      (what upstream says in their .news).
    - Removed commented out Conflicts-line.
    - Do not depend on bind9 being installed.
    - Added libxdmcp-dev as a Build-Dep.
  * debian/*.dbus-event:
    - Use "$NAME" instead of the incredible long "$DESC: ".
  * debian/network-manager.postinst:
    - Do not run gtk-update-icon-cache on configure cause
      seb128 says it's a bad idea and explained why :-).
  * debian/README:
    - Fix typo (cann -> can).
  * debian/rules:
    - Removed named-support (we don't want bind9 for this)
    - Added --with-distro=debian.

 -- Christian Bjälevik <nafallo@ubuntu.com>  Thu, 15 Dec 2005 02:04:12 +0100

network-manager (0.5.1-0ubuntu2) dapper; urgency=low

  * remove .arch-ids traces

 -- Jan Gerber <j@bootlab.org>  Sun, 13 Nov 2005 21:19:18 -0500

network-manager (0.5.1-0ubuntu1) dapper; urgency=low

  * New upstream version

 -- Jan Gerber <j@bootlab.org>  Fri, 21 Oct 2005 08:33:25 -0400

network-manager (0.5.0-0ubuntu1) breezy; urgency=low

  * New upstream version
  * split headers into network-manager-dev

 -- Jan Gerber <j@bootlab.org>  Tue, 18 Oct 2005 17:43:56 +0200

network-manager (0.4.1+cvs20050817-0ubuntu5) breezy; urgency=low

  * fix postinst so its possible to install network-manager 
    in pbuilder

 -- Jan Gerber <j@bootlab.org>  Tue, 11 Oct 2005 19:23:47 +0200

network-manager (0.4.1+cvs20050817-0ubuntu4) breezy; urgency=low

  * update postinst to restart dbus on install

 -- Jan Gerber <j@bootlab.org>  Sat, 29 Aug 2005 13:40:26 +0200

network-manager (0.4.1+cvs20050817-0ubuntu3) breezy; urgency=low

  * this is NetworkManager CVS Tag NM_0_4_1_RELEASE + 3 patches
    - make dhcdbd only a runtime dependency
    - fix build due to one too many ,s
    - fix debian backend to support static IP settings again
      (all changes are upstream by now)

 -- Jan Gerber <j@bootlab.org>  Sat, 27 Aug 2005 23:40:26 +0200

network-manager (0.4.1+cvs20050817-0ubuntu2) breezy; urgency=low

  * restructure build system to creat orig.tar.gz and diff.gz files

 -- Jan Gerber <j@bootlab.org>  Sat, 27 Aug 2005 14:04:26 +0200

network-manager (0.4.1+cvs20050817-0unbuntu1) breezy; urgency=low

  * fix loading static IP settings from /etc/network/interfaces

 -- Jan Gerber <j@bootlab.org>  Sun, 21 Aug 2005 19:40:26 +0200

network-manager (0.4.1+cvs20050817-0) breezy; urgency=low

  * update to NM_0_4_1_RELEASE

 -- Jan Gerber <j@bootlab.org>  Sun, 21 Aug 2005 15:27:26 +0200

network-manager (0.4.1+cvs20050813-0) breezy; urgency=low

  * change back to using BIND
  * remove dependency on resolvconf and dnsmasq

 -- Jan Gerber <j@bootlab.org>  Sat, 13 Aug 2005 19:37:26 +0200

network-manager (0.4.1+cvs20050618-3) breezy; urgency=low

  * Run resolvconf instead of messing with BIND.  Dependencies
    changed too.  Unfortunately these changes are not properly
    tested :-(.

 -- Ian Jackson <ian@ubuntu.com>  Sat, 18 Jun 2005 13:33:26 +0100

network-manager (0.4.1+cvs20050618-2) breezy; urgency=low

  * Sort out chown of /var/lib/NetworkManager

 -- Thom May <thom@ubuntu.com>  Sat, 18 Jun 2005 13:33:26 +0100

network-manager (0.4.1+cvs20050618-1) breezy; urgency=low

  * update from CVS
  * Add configure magic to ensure we get the correct path for dhcdbd
    (Ubuntu: #11905)
  * Ensure /var/lib/NetworkManager is created with the correct permisions
    (Ubuntu: #11904)
  * Rename dbus event script to correct name and restart dbus in postinst
  * Depend on lsb-base and use log_*_msg in event script

 -- Thom May <thom@ubuntu.com>  Sat, 18 Jun 2005 11:22:49 +0100

network-manager (0.4.1+cvs20050616-1) breezy; urgency=low

  * New upstream. Fix descriptions.

 -- Thom May <thom@ubuntu.com>  Thu, 16 Jun 2005 14:47:30 +0100
   
network-manager (0.4.1+cvs20050614-1) unstable; urgency=low

  * New upstream release. Move to 0.4 branch; use dhcdbd.
  * Drop network-manager-gnome
  * add libnm-glib-0 and libnm-glib-0-dev

 -- Thom May <thom@debian.org>  Tue, 14 Jun 2005 12:41:29 +0100

network-manager (0.3.1+cvs20041108-1) unstable; urgency=low

  * New upstream release
  * Add dpatch

 -- Thom May <thom@debian.org>  Mon,  8 Nov 2004 13:49:15 +0000

network-manager (0.3.1+cvs20041101-2) unstable; urgency=low

  * Update dependencies, thanks to j@bootlab.org

 -- Thom May <thom@debian.org>  Tue,  2 Nov 2004 16:32:45 +0000

network-manager (0.3.1+cvs20041101-1) unstable; urgency=low

  * New upstream release

 -- Thom May <thom@debian.org>  Mon,  1 Nov 2004 13:08:32 +0000

network-manager (0.3.1+cvs20041028-1) unstable; urgency=low

  * New upstream release

 -- Thom May <thom@debian.org>  Thu, 28 Oct 2004 13:12:42 +0100

network-manager (0.3+cvs20041016-2) unstable; urgency=low

  * fix some minor problems in packaging; clean up for pkg-utopia entry

 -- Thom May <thom@canonical.com>  Mon, 25 Oct 2004 13:43:07 +0100

network-manager (0.3+cvs20041016-1) unstable; urgency=low

  * New upstream release
  * Clean up backend for debian

 -- Thom May <thom@debian.org>  Sat, 16 Oct 2004 21:32:43 +0100

network-manager (0.3-1) unstable; urgency=low

  * New upstream release

 -- Thom May <thom@debian.org>  Fri, 15 Oct 2004 13:55:46 +0100

network-manager (0.2+cvs20040928-1) unstable; urgency=low

  * Initial Release.

 -- Thom May <thom@debian.org>  Sun,  3 Oct 2004 11:54:56 +0100

